<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="devinfo.xsl"/>
	<xsl:import href="public.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:variable name="ref">
	        <xsl:choose>
		<xsl:when test="count(hpt_raidman_page/hpt_raid/logicals/array/build_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/trans_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/members/array/trans_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/members/array/build_progress)=0">
			1
		</xsl:when>
		<xsl:otherwise>
		   0
		</xsl:otherwise>  
		</xsl:choose> 
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">function arrman_rescan(){
		alert("This method has not been implemented!")
	}
JBOD_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raidjb"/>;
RAID0_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid0"/>;
RAID1_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid1"/>;
RAID3_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid3"/>;
RAID5_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid5"/>;
RAID10_INDEX =<xsl:value-of select="hpt_raidman_page/raidindex/raid10"/>;
RAID50_INDEX =<xsl:value-of select="hpt_raidman_page/raidindex/raid50"/>;
RAID6_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid6"/>;
//autologin=<xsl:value-of select="hpt_raidman_page/autologin"/>;
	function Arrman_ShowCreate(){
		document.location.href="arrman.cgi?func=ShowCreate&amp;userid="+userid;
	}
	function Arrman_ShowTransform(id,name){
		var transformform = document.forms[id+"_transformform"];
		var targettype;
		with (transformform.elements[0]){
			if(options[JBOD_INDEX].selected)
				targettype = "JBOD(Volume)"	;
			else if(options[RAID0_INDEX].selected)
				targettype = "RAID 0"	;
			else if(options[RAID1_INDEX].selected)
				targettype = "RAID 1"	;
			else if(options[RAID3_INDEX].selected)
				targettype = "RAID 3"	;
			else if(options[RAID5_INDEX].selected)
				targettype = "RAID 5"	;
			else if(options[RAID10_INDEX].selected)
				targettype = "RAID 1/0"	;
			else if(options[RAID50_INDEX].selected)
				targettype = "RAID 5/0"	;
			else if(options[RAID6_INDEX].selected)
				targettype = "RAID 6"	;
		}
		if(targettype==""){
      		alert("Please select a target array type.");
	  		return false;
    		}
    		
		//HideArrayPopup(id);
		url = "arrman.cgi?func=ShowTransform&amp;devid="+id+"&amp;userid="+userid+"&amp;targettype="+targettype;
		document.location.replace(url);
		return false;
	}
	function Arrman_AddDiskToArray(id,name){
		//HideArrayPopup(id);
		document.location.href="arrman.cgi?func=ShowAddDisk&amp;devid="+id+"&amp;userid="+userid;
	}
	function Arrman_Rescan(id,name){
		var theform = document.forms['opform'];
		theform.elements[0].value="Rescan";
		theform.submit();
		return true;
	}
	function Arrman_ChangeCachePolicy(id,name){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeCachePolicy";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	
	function Arrman_Rfresh(id,name){
		var theform = document.forms['opform'];
		theform.elements[0].value="Refresh";
		theform.submit();
		return true;
	}
	function Arrman_Mute(){
		var theform = document.forms['opform'];
		theform.elements[0].value="BeeperMute";
		theform.submit();
		return true;
	}
	function Arrman_Delete(id,name){
		if (confirm("All data on the array you selected will be deleted. Do you want to continue?")==false){
    		return false;
  		}
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Delete";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Rename(id,name){
		var renameform = document.forms[id+"_renameform"];
		if(renameform.elements[0].value==""){
      		alert("Please input the array's name.");
	  		return false;
    	}
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Rename";
		theform.elements[1].value=id;
		theform.elements[2].value=renameform.elements[0].value;
		theform.submit();
		return true;
	}
	function CheckArrayName(id){
		var renameform = document.forms[id+"_renameform"];
		if(renameform.elements[2].value==""){
      		alert("Please input the array's name.");
	  		return false;
    	}
		return true;
	}
	
	function Arrman_ContinueTransform(id,name){
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="ContinueTransform";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}

	function Arrman_UnplugArray(id,name){
		HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="UnplugArray";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Verify(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Verify";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Initialize(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Initialize";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Arrman_Rebuild(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Rebuild";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	
	function Arrman_Stop(id,name){
		//HideArrayPopup(id);
		var theform = document.forms['opform'];
		theform.elements[0].value="Stop";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
			function GetArrayXml(){
				var url = "arrman.cgi?userid="+userid;
				if(window.XMLHttpRequest){
				  req = new XMLHttpRequest();
				}else if(window.ActiveXObject){
				  req = new ActiveXObject("Microsoft.XMLHTTP");
				}
				if(req){
					req.open("GET",url,true);
					req.onreadystatechange = GetArrayXmlComplete;
					req.send(null);
				}
			}
			function GetArrayXmlComplete(){
				if(req.readyState ==4){
					if(req.status == 200){
					   var doc = req.responseXML.documentElement;
					   var length = doc.getElementsByTagName("array").length;
					   for(i=0;i&lt;length;i++){
					   	   array = doc.getElementsByTagName("array")[i];
						   var arrayid = doc.getElementsByTagName("array")[i].getAttribute('id');
						   var flags;
						   var re_time;
						   var progress="";
					   	   for(j=0;j&lt;array.childNodes.length;j++){
						   	 arrayname = array.childNodes[j].nodeName;
							 position = arrayname.indexOf("_progress");
						   	 if(position != -1){
							 	progress = array.childNodes[j].firstChild.data; 
							 }
							 if(array.childNodes[j].nodeName=="remaining_time"){
							 	    re_time=array.childNodes[j].firstChild.data;
							 }   
							 if(array.childNodes[j].nodeName == "flags"){
							 	flags = array.childNodes[j].getAttribute('des');
							 }  
						   }						  
						   
						   if(progress!=""){
						    	var obj;
						   		tagid = arrayid+"_status";
    								obj = document.getElementById(tagid);
						   		if(obj!=null)
						   			obj.innerHTML = flags;
						   	        tagid = arrayid +"_remaining_time";
						   	        obj =document.getElementById(tagid);
						   	        if(obj){
                                                                    if(re_time)
						   	               obj.innerHTML ="remaining time:"+re_time;
		                                                }
						   		tag = arrayid+"_progress";
								if(progress == "0%")
									progress = "1%";
    								obj = document.getElementById(tag);
								if(obj!=null){
								        
									obj.width = progress;
								}
							}
							else{
								progresstag = arrayid+"_progress";
								if(IE)
    								obj = eval('document.all.' + progresstag);
  								else
    								obj = document.getElementById(progresstag);
								if(obj!=null){
									document.location.href = "arrman.cgi?userid="+userid;
								}
									
							}
					   }
					}
				}
			}
			function getXml(){
			        var temp=<xsl:value-of select="$ref"/>; 
			        if(temp) return false;
				GetArrayXml();
				setTimeout("getXml()",10000);
			}
	
		</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init();getXml();">
			        
				<xsl:for-each select="hpt_raidman_page/hpt_raid/logicals/array">
					<xsl:call-template name="DrawArrayDetailDiv"/>
					<xsl:for-each select="trans_target/array">
						<xsl:call-template name="DrawArrayDetailDiv"/>
					</xsl:for-each>
				</xsl:for-each>
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>	
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td>
								<!--Draw logical devices table-->
								<table id="arraymantable" width="{$pagewidth}">
									<tr>
										<td class="title" align="center" id="logicaltitle">Logical Device Information</td>
									</tr>
									<tr>
										<td class="content">
											<table width="100%" cellpadding="2" border="0">
												<thead>
													<td></td>
													<td>Name</td>
													<td>Type</td>
													<td>Capacity</td>
													<td>Cache Policy</td>
													<td>BlockSize</td>
													<td>SectorSize</td>
													<td>OS Name</td>
													<td>Status</td>
													<td></td>
												</thead>
												<tbody>
													<xsl:for-each select="hpt_raidman_page/hpt_raid/logicals/array">
														<tr>
															<xsl:call-template name="DrawArrayInfoRowCell">
																<xsl:with-param name="enablehint">false</xsl:with-param>
															</xsl:call-template>
															<td>
																<xsl:if test="type/@id!='hd'">
																
																<table border="0" cellspacing="0" cellpadding="0">
																	<tr>
																		<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																			<xsl:attribute name="id"><xsl:value-of select="@id"/>_Details</xsl:attribute>
																			<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																			<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																			<xsl:attribute name="onclick">ShowArrayPopup("<xsl:value-of select="@id"/>")</xsl:attribute>
																			<font class="labelbtn"><u>Maintenance</u></font>
																		</td>
																	</tr>
																</table>
																</xsl:if>
															</td>
														</tr>
														<tr>
															<td/>
															<td/>
															<td/>
															<td>
																<xsl:call-template name="DrawArrayTreeDiv"/>
															</td>
														</tr>
														<xsl:for-each select="members/array">
														<xsl:if test="@id!='arr_0'">
															<tr>
																<xsl:call-template name="DrawArrayInfoRowCell">
																	<xsl:with-param name="enablehint">false</xsl:with-param>
																</xsl:call-template>
																<td>
																<xsl:if test="type/@id!='hd'">
																
																<table border="0" cellspacing="0" cellpadding="0">
																	<tr>
																		<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																			<xsl:attribute name="id"><xsl:value-of select="@id"/>_Details</xsl:attribute>
																			<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																			<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																			<xsl:attribute name="onclick">ShowArrayPopup("<xsl:value-of select="@id"/>")</xsl:attribute>
																			<font class="labelbtn"><u>Maintenance</u></font>
																		</td>
																	</tr>
																</table>
																</xsl:if>
																</td>
															</tr>
															<tr>
																<td/>
																<td/>
																<td/>
																<td>
																	<xsl:call-template name="DrawArrayTreeDiv"/>
																</td>
															</tr>
														</xsl:if>
														</xsl:for-each>
														<xsl:for-each select="trans_target/array">
														<tr>
															<xsl:call-template name="DrawArrayInfoRowCell">
																<xsl:with-param name="enablehint">false</xsl:with-param>
															</xsl:call-template>
															<td>
																<xsl:if test="type/@id!='hd'">
																
																<table border="0" cellspacing="0" cellpadding="0">
																	<tr>
																		<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																			<xsl:attribute name="id"><xsl:value-of select="@id"/>_Details</xsl:attribute>
																			<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																			<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																			<xsl:attribute name="onclick">ShowArrayPopup("<xsl:value-of select="@id"/>")</xsl:attribute>
																			<font class="labelbtn"><u>Maintenance</u></font>
																		</td>
																	</tr>
																</table>
																</xsl:if>
															</td>
														</tr>
														<tr>
															<td/>
															<td/>
															<td/>
															<td>
																<xsl:call-template name="DrawArrayTreeDiv"/>
															</td>
														</tr>
														</xsl:for-each>
													</xsl:for-each>
													<xsl:for-each select="hpt_raidman_page/hpt_raid/logicals/disk">
														<tr>
															<xsl:call-template name="DrawArrayInfoRowCell"/>
														</tr>
														<td/>
													</xsl:for-each>
												</tbody>
											</table>
										</td>
									</tr>
									<tr>
										<td>
											<hr/>
											<!--button onclick="Arrman_Rfresh()">Refresh</button-->
											<button onclick="Arrman_ShowCreate()">Create Array</button>
										</td>
									</tr>


									<tr>
										<td height="24"></td>
									</tr>
									<tr>
										<td class="title" align="center">Physical Device Information</td>
									</tr>
									<tr>
										<td class="content">
											<table width="100%" cellpadding="2">
												<thead>
													<td></td>
													<td>Location</td>
													<td>Model</td>
													<td>Capacity</td>
													<td>Max Free</td>
												</thead>
												<tbody>
													<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
														<tr>
															<td width="{$cellsize}">
																<xsl:call-template name="DrawDevImgTable">
																	<xsl:with-param name="preimgid">DiskR</xsl:with-param>
																</xsl:call-template>
															</td>
															<td><font class="devattribute"><xsl:value-of select="location"/></font></td>
															<td><font class="devattribute"><xsl:value-of select="model"/></font></td>
															<td><font class="devattribute"><xsl:value-of select="capacity"/></font></td>
															<td><font class="devattribute"><xsl:value-of select="max_free"/></font></td>
															
														</tr>
													</xsl:for-each>
												</tbody>
											</table>
										</td>
									</tr>
									<tr>
										<td>
											<hr/>
											<button onclick="Arrman_Rescan()">Rescan</button>
											<button onclick="Arrman_Mute()">Beeper Mute</button>
										</td>
									</tr>


									<tr>
										<td>
											<form action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" name="opform" method="POST">
												<input type="hidden" name="func" value="Func ID"/>
												<input type="hidden" name="devid" value="Device ID"/>
												<input type="hidden" name="newname" value="NewName"/>
											</form>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
				<!--<script language="javascript" >
			            if(autologin==2)
			              if(confirm("Are you want to set auto login")) go_page('setting');
			        </script>-->
			</body>
		</html>
	</xsl:template>
	<!--
		function arrman_name: DrawArrayOperateMenu
		In Element	 : array
	  	Description  : Draw array tree Div.
	-->
	<xsl:template name="DrawArrayOperateMenu">
		<xsl:if test="count(operation)!=0">
			<!--tr>
				<td><font class="head"><b>
					<xsl:value-of select="name"/>
					</b>
					</font>
				</td>
			</tr-->
			<xsl:for-each select="operation">
				<tr>
					<xsl:variable name="opmenuid">opmenu_<xsl:value-of select="../@id"/>_<xsl:value-of select="@id"/></xsl:variable>
					<td>
							<xsl:choose>
								<xsl:when test="@id='Rename'">
									<form name="{../@id}_renameform" method="POST" onsubmit="return CheckArrayName('{../@id}');">
										<input type="hidden" name="func" value="Rename"/>
										<input type="hidden" name="devid" value="{../@id}"/>
										<input type="text" name="newname" value="" size="8" maxlength="15"/>
										<input type="submit" name="submit" value="Rename"/>
										<!--button onclick="Arrman_{@id}('{../@id}','{../name}');">Rename</button-->
									</form>
								</xsl:when>
								<xsl:when test="@id='CachePolicyV2'">
									<form method="GET" name="{../@id}_ChangeCachePolicy">
										<input type="hidden" name="func" value="ChangeCachePolicy"/>
										<input type="hidden" name="userid" value="{/hpt_raidman_page/session/session_id}"/>
										<input type="hidden" name="devid" value="{../@id}"/>
										<table border="0" cellspacing="0">
										<tr>
											<td>
												<select size="1" name="newcache">
													<xsl:if test="../cach/none&gt;0">																
													<option>
														<xsl:if test="../cache_policy='None'">
															<xsl:attribute name="selected"/>
														</xsl:if>
														None</option>
													</xsl:if>
													<xsl:if test="../cach/through&gt;0">
													<option>
														<xsl:if test="../cache_policy='Write Through'">
															<xsl:attribute name="selected"/>
														</xsl:if>
														Write Through</option>
													</xsl:if>
													<xsl:if test="../cach/back&gt;0">
													<option>
														<xsl:if test="../cache_policy='Write Back'">
															<xsl:attribute name="selected"/>
														</xsl:if>
														Write Back</option>
													</xsl:if>
												</select>
											</td>
											<td>
												<input type="submit" name="submit" value="{.}"/>
												<!--button onclick="Arrman_{@id}('{../@id}','{../name}');">
													<xsl:value-of select="."/>
												</button-->
											</td>
										</tr>
										</table>
									</form>
								</xsl:when>
								<xsl:when test="@id='ShowTransform'">
									<form method="GET" name="{../@id}_transformform">
										<input type="hidden" name="func" value="ShowTransform"/>
										<input type="hidden" name="userid" value="{/hpt_raidman_page/session/session_id}"/>
										<input type="hidden" name="devid" value="{../@id}"/>
										<table border="0" cellspacing="0">
										<tr>
											<td>
												<select size="1" name="targettype">
													<xsl:if test="../../../../raidindex/raidjb&gt;-1">																
													<option>JBOD(Volume)</option>
													</xsl:if>
													<xsl:if test="../../../../raidindex/raid0&gt;-1">
													<option>RAID 0</option>
													</xsl:if>
													<xsl:if test="../../../../raidindex/raid1&gt;-1">
													<option>RAID 1</option>
													</xsl:if>
													<xsl:if test="../../../../raidindex/raid3&gt;-1">
													<option>RAID 3</option>
													</xsl:if>
													<xsl:if test="../../../../raidindex/raid5&gt;-1">
													<option>RAID 5</option>
													</xsl:if>
													<xsl:if test="../../../../raidindex/raid10&gt;-1">
													<option>RAID 1/0</option>
													</xsl:if>
													<xsl:if test="../../../../raidindex/raid50&gt;-1">
													<option>RAID 5/0</option>
													</xsl:if>
													<xsl:if test="../../../../raidindex/raid6&gt;-1">
													<option>RAID 6</option>
													</xsl:if>
												</select>
											</td>
											<td>
												<input type="submit" name="submit" value="{.}"/>
												<!--button onclick="Arrman_{@id}('{../@id}','{../name}');">
													<xsl:value-of select="."/>
												</button-->
											</td>
										</tr>
										</table>
									</form>
								</xsl:when>
								<xsl:otherwise>
									<button onclick="Arrman_{@id}('{../@id}','{../name}');">
										<xsl:value-of select="."/>
									</button>
								</xsl:otherwise>
							</xsl:choose>
					</td>
					<!--td id="{$opmenuid}" style="PADDING-BOTTOM: 3px; CURSOR: pointer; TEXT-ALIGN: left;" onmouseover="OverItem('{$opmenuid}',0);return true;" onmouseout="OutItem('{$opmenuid}',0);return true;" onclick="Arrman_{@id}('{../@id}','{../name}');return true;">
						<font class="menu">
							<xsl:value-of select="."/>
						</font>
						</td-->
				</tr>
			</xsl:for-each>
			
		</xsl:if>
		<!--xsl:for-each select="members/array">
			<xsl:call-template name="DrawArrayOperateMenu"/>
		</xsl:for-each-->
	</xsl:template>

	<!--
		function arrman_name: DrawArrayTreeDiv
		In Element	 : array
	  	Description  : Draw array tree Div.
		
	-->
	<xsl:template name="DrawArrayTreeDiv">
		<xsl:variable name="infobgcolor">#FFFFCC</xsl:variable>
		<!--Draw disk information div-->
		<DIV style="Z-INDEX: 1; POSITION: absolute; VISIBILITY: hidden;" id="ArrTreeDiv_{@id}">
			<table width="300" border="0" cellpadding="0" cellspacing="0" style="BORDER-RIGHT: #FFCC00 outset; BORDER-TOP: #FFCC00 outset; BORDER-LEFT:#FFCC00  outset; BORDER-BOTTOM: #FFCC00 outset">
				<tr>
					<td class="title" width="8" height="30"></td>
					<td class="title" align="center">Array Information</td>
					<td class="title" width="8"></td>
				</tr>
				<tr>
					<td class="title"></td>
					<td bgcolor="#CCCCFF">
						<table border="0" cellpadding="0" cellspacing="0" width="100%">
							<tr>
								<td>
									<xsl:call-template name="DrawArrayTreeTable"/>
									<xsl:for-each select="trans_target/array">
										<font class="devattribute">Transform Target:</font>
										<xsl:call-template name="DrawArrayTreeTable"/>
									</xsl:for-each>
								</td>
								<td width="10"/>
								<td>
									<p align="right">
										<TABLE cellSpacing="0" cellPadding="0" border="2" bordercolor="{$menubdcolor}" bgcolor="{$menubgcolor}">
											<TBODY>
												<xsl:call-template name="DrawArrayOperateMenu"/>
											</TBODY>
										</TABLE>
									</p>
								</td>
							</tr>
						</table>
					</td>
					<td class="title">
					</td>
				</tr>
				<tr>
					<td class="title" height="30"></td>
					<td class="title">
						<p align="right">
							<button onclick="HideArrayPopup('{@id}')">Close</button>
						</p>
					</td>
					<td class="title"></td>
				</tr>
			</table>
		</DIV>
	</xsl:template>
</xsl:stylesheet>