<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="secsizshift">
		<xsl:if test="count(hpt_raidman_page/isSupVarSecSize)=0">
			0
		</xsl:if>
		<xsl:if test="count(hpt_raidman_page/isSupVarSecSize)!=0">
			1
		</xsl:if>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
				<SCRIPT language="Javascript">
hideCount=1;//form hidden component count
totalSelectedMaxFree=0;            

function OnArrayTypeChange(){
    return true;
}
function SSDselectall(){
	var theform = document.arrayform;
	for(i=0;i&lt;theform.elements.length;i++){
		if(theform.elements[i].type=="checkbox"){
			if(theform.elements[i].name.substring(0,3) =='ssd'){
				theform.elements[i].checked=true;
      			}				        
		}	        
  	}
}
function HDDselectall(){
	var theform = document.arrayform;
	for(i=0;i&lt;theform.elements.length;i++){
		if(theform.elements[i].type=="checkbox"){
			if(theform.elements[i].name.substring(0,3) =='hdd'){
				theform.elements[i].checked=true;
      			}				        
		}	        
  	}
}

function ExamCreateArray(){
  with (document.forms[0]){
	//alert(elements[3].name);//type
	//alert(elements[4].name);//name
	i=4;
	ssdselectcount=0;
	hddselectcount=0;
	found = 0;
	jboatype=arraytype.options[arraytype.selectedIndex].text;
	while(elements[i]!=undefined){
		if (elements[i].type!="checkbox"){ 
			if(found==1){
				break;
				}
			if(elements[i].name== "selectallmem2"){
			   found=1;
			   }
		}else{
			if (elements[i].checked){
				if(elements[i].name.substring(0,3) =='ssd'){
      					ssdselectcount++;
      				}else{
      					hddselectcount++;
      				}
      			}  
		}
		i++;
  	}
    if(ssdselectcount == 0){
	    alert("Please select at least one SSD disk.");
        document.MM_returnValue = false;
        return false;
    }
    if(hddselectcount == 0){
	        alert("Please select at least one HDD disk.");
        	document.MM_returnValue = false;
        	return false;
    }
    if(jboatype== "SafeBoost"){
    	if((ssdselectcount&gt;2)||(hddselectcount&gt;2)){
    		alert("SafeBoost mode allow 2 SSDs and 2 HDDs at most");
        	document.MM_returnValue = false;
        	return false;
    	}
    	if(ssdselectcount&lt;hddselectcount){
    		alert("SafeBoost mode 1 SSD and 2 HDDs is not allowed, try 2 ssds");
        	document.MM_returnValue = false;
        	return false;
    	}
    }
    if(jboatype== "SpeedBoost"){
	if((ssdselectcount &lt; 1)||(hddselectcount &lt; 1)){
    		alert("SpeedBoost mode allow 1 SSD and 1 HDD at least");
        	document.MM_returnValue = false;
        	return false;
    	}
    
    }
    
    
  }
  document.MM_returnValue = true;
  return true;
}
</SCRIPT>
			</head>
			<body onload="init();">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<form name="arrayform" action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST" onsubmit="return ExamCreateArray();">
									<input type="hidden" name="func" value="CreateJboa"/>
									<table id="createarraytable" width="{$pagewidth}" border="0">
										<tr>
											<td class="title" align="center">Create SB Disk</td>
										</tr>
										<tr>
											<td class="content">
												<table border="0" cellspacing="20">
													<tr>
														<td width="100">SB Disk Type:</td>
														<td>
															<select size="1" name="arraytype" onchange="OnArrayTypeChange();">
																<option selected="true">SafeBoost</option>
																<option >SpeedBoost</option>
															</select>
														</td>
													</tr>
													<tr>
														<td>SB Disk Name:</td>
														<td>
															<input type="text" name="arrayname" size="16" value="Default" maxlength="15"/>
														</td>
													</tr>
													<tr>
														<td>Available SSD Disks:</td>
														<td>
															<table border="0">
																<thead>
																	<td/>
																	<td/>
																	<td>Location</td>
																	<td>Model</td>
																	<td>Capacity</td>
																	<td></td>
																</thead>
																<button style="width:100;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" onclick="SSDselectall();return false;" name="selectallmem">Select All</button>
																<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
																	<xsl:if test="type='SSD'">
																	<tr>
																		<td>
																			<input type="checkbox" name="ssd_{position()}" alt="{max_free}" value="{@id}"/>
																		</td>
																		<xsl:call-template name="DrawDiskInfoRowCell">
																			<xsl:with-param name="simple">true</xsl:with-param>
																		</xsl:call-template>
																	</tr>
																	</xsl:if>
																</xsl:for-each>
															</table>
														</td>
														
													</tr>
													<tr>
														<td>Available Disks:</td>
														<td>
															<table border="0">
																<thead>
																	<td/>
																	<td/>
																	<td>Location</td>
																	<td>Model</td>
																	<td>Capacity</td>
																	<td></td>
																</thead>
																<button style="width:100;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" onclick="HDDselectall();return false;" name="selectallmem2">Select All</button>
																<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
																	<xsl:if test="type='Hard Disk'">
																	<tr>
																		<td>
																			<input type="checkbox" name="hdd_{position()}" alt="{max_free}" value="{@id}"/>
																		</td>
																		<xsl:call-template name="DrawDiskInfoRowCell">
																			<xsl:with-param name="simple">true</xsl:with-param>
																		</xsl:call-template>
																	</tr>
																	</xsl:if>
																</xsl:for-each>
															</table>
														</td>
														
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td>
												<p align="center">
													<input type="submit" value="Create" name="Create"/>
												</p>
											</td>
										</tr>
									</table>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/smart_info"/>
							</td>
						</tr>
						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="devid" value="Device ID"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>