<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="/hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		
	<html>
	<title>HighPoint RAID Management -- Physical</title>
	<head>
	<script language="javascript" type= "text/javascript" src="jquery.js"></script>
	<script language="javascript" type= "text/javascript" src="globle.js"></script>		
	<xsl:apply-templates select="/hpt_raidman_page/session"/>
		
	<script language="javascript" type="text/javascript">
	preId = 0;
	preFanId = 0;
			
	function CheckId(){
		devid = "<xsl:value-of select='/hpt_raidman_page/hpt_raid/devid'/>";
		if (devid.search(/^\d+$/)!=-1)
		{
			//alert("is num!");
		}
		else if(devid != ""){
			var obj;
			if(IE) {
				obj = eval('document.all.' + devid);
			} else {
				obj = document.getElementById(devid);
			}
			if(obj!=null){
			obj.style.display = "block";
			obj.scrollIntoView();
			}
		}
	}
	function Devman_UnplugDisk(id){
		var theform = document.forms['opform']; 
		theform.elements[0].value="UnplugDisk";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_Rescan(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="Rescan";
		theform.elements[1].value="id";
		theform.submit();
		return true;
	}
	function Devman_ShowInitDisksPage(){
		document.location.href="devman.cgi?func=ShowInitDisks&amp;userid="+userid;
		return true;
	}
	function Devman_ChangeReadAhead(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeReadAhead";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeWriteCache(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeWriteCache";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeTCQ(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeTCQ";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeNCQ(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeNCQ";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_LEDOn(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="LEDOn";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_LEDOff(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="LEDOff";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}

	function SetFanCtrl(fan_form){
/*		alert(fan_form.ctl_id.value);
		alert(fan_form.core_id.value);
		alert(fan_form.fan_ctl_slt.value);
*/
		var theform = document.forms['opform'];
		theform.elements[0].value="SetFanCtrl";
		theform.elements[2].value=fan_form.core_id.value;
		theform.elements[3].value=fan_form.ctl_id.value;
		theform.elements[4].value=fan_form.fan_ctl_slt.value;
		theform.submit();
		return true;
	}

	function SetTempThreshold(temperature_form){
/*		alert(temperature_form.dev_id.value);
		alert(temperature_form.ctl_id.value);
		alert(temperature_form.core_id.value);
		alert(temperature_form.temp_thrh_slt.value);
*/
		var theform = document.forms['opform'];
		theform.elements[0].value="SetTempThreshold";
		theform.elements[1].value=temperature_form.dev_id.value;
		theform.elements[2].value=temperature_form.core_id.value;
		theform.elements[3].value=temperature_form.ctl_id.value;
		theform.elements[5].value=temperature_form.temp_thrh_slt.value;
		theform.submit();
		return true;
	}

	function DisplayFAN(id){
		var tmpObj;
		if(IE) {
    		tmpObj = eval('document.all.' + id + '.style');
  		} else {
			tmpObj = document.getElementById(id).style;
  		}
		if(id == preFanId){
			if(tmpObj.display == "none")
				tmpObj.display = "block";
			else{
				tmpObj.display = "none";
				preFanId = 0;
			}
			return;
		}
		tmpObj.display = "block";
		if(preFanId != 0){
			if(IE) {
    			tmpObj = eval('document.all.' + preFanId + '.style');
  			} else {
				tmpObj = document.getElementById(preFanId).style;
  			}
			tmpObj.display = "none";
		}
		preFanId = id;
	}

	function Display(id){
		var tmpObj;
		if(IE) {
    		tmpObj = eval('document.all.' + id + '.style');
  		} else {
			tmpObj = document.getElementById(id).style;
  		}
		if(id == preId){
			if(tmpObj.display == "none")
				tmpObj.display = "block";
			else{
				tmpObj.display = "none";
				preId = 0;
			}
			return;
		}
		tmpObj.display = "block";
		if(preId != 0){
			if(IE) {
    			tmpObj = eval('document.all.' + preId + '.style');
  			} else {
				tmpObj = document.getElementById(preId).style;
  			}
			tmpObj.display = "none";
		}
		preId = id;
	}
	function checkfile(formname,version){
		var upgradeform = document.forms[formname];
		if(upgradeform.elements["upgradefirmwarefile"].value==""){
      		alert("Please input file!");
	  		return false;
    	}
    	var filename = upgradeform.elements["upgradefirmwarefile"].value.toLowerCase();
		var filext = filename.substring(filename.length-3,filename.length);
		if(version == 3)
		if(filext!="blf" ) {
			alert("Wrong file type!");
			return false;
		}
		upgradeform.elements['submit'].disabled = true;
    	return true;
	}
	</script>
	</head>
		<body onload="initv1();CheckId();">
		<p align="center">
			<table width="{$pagewidth}" border="0">
				<xsl:for-each select="/hpt_raidman_page">
					<xsl:if test="@SM2=1">
						<tr>
							<xsl:for-each select="adapters">
								<td colspan="2">
									<xsl:call-template name="DrawTopMenu2">
										<xsl:with-param name="topmenuech">devman.cgi</xsl:with-param>
									</xsl:call-template>
								</td>
							</xsl:for-each>
						</tr>
					</xsl:if>
				</xsl:for-each>
				<tr>
					<td  >
						<xsl:apply-templates select="/hpt_raidman_page/messages"/>
					</td>
				</tr>
				<tr>
                    <td align="left" valign="top">
						<div class="aside">
							<ul>
								<xsl:for-each select="/hpt_raidman_page/hpt_raid/controllers/controller">
									<li>
										<xsl:if test="/hpt_raidman_page/hpt_raid/@active_ctl=0">
											<xsl:attribute name="class">on</xsl:attribute>
										</xsl:if>
										<a href="#">Controller <xsl:value-of select="./@ctl_id+1"/></a>
									</li>
									<xsl:for-each select="enclosure">
										<xsl:if test="./@is_virtual=1">
											<li class="lv2" style="display:none;">
												<a href="#">Enclosure</a>
											</li>
											<li class="lv2">
												<xsl:if test="count(./disks/disk)=0">
													<xsl:attribute name="style">display:none;</xsl:attribute>
												</xsl:if>
												<xsl:if test="/hpt_raidman_page/hpt_raid/@active_enc=./@id">
													<xsl:if test="/hpt_raidman_page/hpt_raid/@active_dev=0">
														<xsl:attribute name="class">lv2 on</xsl:attribute>
													</xsl:if>
												</xsl:if>
												<a href="#">Devices</a>
											</li>
										</xsl:if>
										
										<xsl:if test="./@is_virtual=0">
											<li class="lv2">
												<xsl:if test="/hpt_raidman_page/hpt_raid/@active_enc=./@id">
													<xsl:if test="/hpt_raidman_page/hpt_raid/@active_dev=-1">
														<xsl:attribute name="class">lv2 on</xsl:attribute>
													</xsl:if>
												</xsl:if>
												<a href="#">Enclosure <xsl:value-of select="./@id+1"/></a>
											</li>
											<xsl:for-each select="disks">
												<li class="lv3">
													<xsl:if test="count(./disk)=0">
														<xsl:attribute name="style">display:none;</xsl:attribute>
													</xsl:if>
													<xsl:if test="/hpt_raidman_page/hpt_raid/@active_enc=../@id">
														<xsl:if test="/hpt_raidman_page/hpt_raid/@active_dev=0">
															<xsl:attribute name="class">lv3 on</xsl:attribute>
														</xsl:if>
													</xsl:if>
													<a href="#">Devices</a>
												</li>
											</xsl:for-each>
										</xsl:if>
									</xsl:for-each>
									<xsl:for-each select="spinup">
									<li><a>
										<xsl:attribute name="href">
											staggeredspinup.cgi?userid=<xsl:value-of select="../../../../session/session_id" />
										</xsl:attribute>
										Spinup
									</a></li>
									</xsl:for-each>
									<li><a href="#">
										<xsl:attribute name="onclick">Devman_Rescan()</xsl:attribute>
										Rescan
									</a></li>
								</xsl:for-each>
							</ul>
							<!--table border="0" width="100%">
								<tr height="20%"/>
								<tr align="left">
									<td>
										<button style="width:80px;" onclick="Devman_Rescan()">Rescan</button>
									</td>
								</tr>
							</table-->
						</div>
					</td>
					<td align="left" valign="top">
						<div class="main">
							<xsl:for-each select="/hpt_raidman_page/hpt_raid/controllers/controller">
								<div>
									<xsl:if test="/hpt_raidman_page/hpt_raid/@active_ctl=-1">
										<xsl:attribute name="style">display:none;</xsl:attribute>
									</xsl:if>
									<table width="100%" border="0">
										<tr>
											<td class="title" align="center">Controller Information</td>
										</tr>
										<tr><td>
										<table width="100%">
											<tr><td>
												<table border="0" width="100%">
													<tr><td width="30%"><B>Model Name</B>:</td><td><xsl:value-of select="./product"/></td></tr>
													<tr><td><B>BIOS Version</B>: </td><td><xsl:value-of select="./biosVer"/></td></tr>
													<tr><td><B>Vendor</B>:</td><td><xsl:value-of select="./vendor"/></td></tr>
													<tr height="10"/>
													<!--<xsl:if test="product != 'RocketRAID 4520 SAS Controller'">-->
													<xsl:if test = "not(starts-with(./product, 'RocketRAID 45'))">
													<tr><td><B>PCI Bus Number</B>:</td><td><xsl:value-of select="./pci_bus"/></td></tr>
													<tr><td><B>PCI Device Number</B>:</td><td><xsl:value-of select="./pci_device"/></td></tr>
													<tr><td><B>PCI Func Number</B>:</td><td><xsl:value-of select="./pci_function"/></td></tr>
													<tr><td><B>Maximum Link Width</B>:</td><td><xsl:value-of select="./maxwd"/></td></tr>
													<tr><td><B>Current Link Width</B>:</td><td><xsl:value-of select="./curwd"/></td></tr>
                                                    <tr><td><B>Maximum Link Speed</B>:</td><td><xsl:value-of select="./maxsp"/></td></tr>
													<tr><td><B>Current Link Speed</B>:</td><td><xsl:value-of select="./cursp"/></td></tr>
													</xsl:if>
												</table>
											</td></tr>
											<tr>
												<td height="20" />
											</tr>
											<xsl:for-each select="newinfo">
											<tr>
												<td height="24"></td>
												</tr>
											<tr>
												<td class="title" align="center">Extended Information (Controller <xsl:value-of select="position()"/>)</td>
												
											</tr>
											<tr>
												<td class="content">
												<table width="100%" cellpadding="2">
													
														<xsl:if test="IOPModel!='invalid'">
														<tr>
															<td align="left" >IOP Model: </td>
															<td align="left" >
																<xsl:value-of select="IOPModel"/>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="CPUTemperature!='invalid'">
														<tr>
															<td align="left" >CPU Temperature:</td>
															<td align="left" >
																<xsl:value-of select="CPUTemperature"/>&#176;C
															</td>
														</tr>
														</xsl:if>
														
														<xsl:if test="BoardTemperature!='invalid'">
														<tr>
															<td align="left" >Board Temperature:</td>
															<td align="left" >
																<xsl:value-of select="BoardTemperature"/>&#176;C 
															</td>
														</tr>
														</xsl:if>
														
														<xsl:if test="Power3p3v!='invalid'">
														<tr>
															<td align="left" >Power 3.3V Voltage:</td>
															<td align="left" >
																<xsl:value-of select="Power3p3v"/>V 
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="Power2p5v!='invalid'">
														<tr>
															<td align="left" >Power 2.5V Voltage:</td>
															<td align="left" >
																<xsl:value-of select="Power2p5v"/>V 
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="Power1p8v!='invalid'">
														<tr>
															<td align="left" >Power 1.8V Voltage:</td>
															<td align="left" >
																<xsl:value-of select="Power1p8v"/>V 
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="Power1p5v!='invalid'">
														<tr>
															<td align="left" >Power 1.5V Voltage:</td>
															<td align="left" >
																<xsl:value-of select="Power1p5v"/>V 
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="Power1p0v!='invalid'">
														<tr>
															<td align="left" >Power 1.0V Voltage:</td>
															<td align="left" >
																<xsl:value-of select="Power1p0v"/>V 
															</td>
														</tr>
														</xsl:if>
																																																																																				
														<xsl:if test="SDRAMSize!='invalid'">
														<tr>
															<td align="left" >SDRAM Size:</td>
															<td align="left" >
																<xsl:value-of select="SDRAMSize"/>
															</td>
														</tr>
														</xsl:if>
									
														<xsl:if test="BatteryInstalled!='invalid'">
														<tr>
															<td align="left" >Battery Installed:</td>
															<td align="left" >
																<xsl:value-of select="BatteryInstalled"/>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="BatteryStatus!='invalid'">
														<tr>
															<td align="left" >Battery Status: </td>
															<td align="left" >
																<xsl:value-of select="BatteryStatus"/>
															</td>
														</tr>
														<tr>
															<td align="left">BatteryMB Status: </td>
															<td align="left" >
																<xsl:value-of select="BatteryMBStatus"/>
															</td>
														</tr>
														</xsl:if>
														
		
														<xsl:if test="BatteryVoltage!='invalid'">
														<tr>
															<td align="left" >Battery Voltage:</td>
															<td align="left" >
																<xsl:value-of select="BatteryVoltage"/>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="BatteryTemperature!='invalid'">
														<tr>
															<td align="left" >Battery Temperature:</td>
															<td align="left" >
																<xsl:value-of select="BatteryTemperature"/>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="BatteryBackupTime!='invalid'">
														<tr>
															<td align="lefft" >Battery BackupTime:</td>
															<td align="left" >
																<xsl:value-of select="BatteryBackupTime"/>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="FirmwareVersion!='invalid'">
														<tr>
															<td align="left">Firmware Version:</td>
															<td align="left" >
																<xsl:value-of select="FirmwareVersion"/>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="SerialNumber!='invalid'">
														<tr>
															<td align="left" >Serial Number:</td>
															<td align="left" >
																<xsl:value-of select="SerialNumber"/>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="SASAddress!='invalid'">
														<tr>
															<td align="left" >Sas Address:</td>
															<td align="left" >
																<xsl:value-of select="SASAddress"/>
															</td>
														</tr>
														</xsl:if>
												</table>
												</td>
											</tr>
											</xsl:for-each>
											<tr>
												<td height="20"/>
											</tr>
											<xsl:for-each select="version">
												<xsl:if test="(.=1)or(.=2)or(.=6)">
													<tr>
														<td class="content">
															<table width="100%">
																<tr>
																	<td>Select the file to update BIOS.</td>
																</tr>
																<tr>
																	<td>This process may take some time. </td>
																</tr>
															</table>
														</td>
													</tr>
												</xsl:if>
												<xsl:if test="(.=3)or(.=4)">
													<tr>
														<td class="title" align="center">Update Firmware</td>
													</tr>
													<tr>
														<td class="content">
															<table width="100%">
																<tr>
																	<td>Select the blf file to update Firmware.</td>
																</tr>
																<tr>
																	<td>This process may take some time. </td>
																</tr>
															</table>
														</td>
													</tr>
												</xsl:if>
												<xsl:if test="(.=1)or(.=2)or(.=3)or(.4)or(.=6)">
													<tr>
														<td>
															<form name="upgradefireware" action="devman.cgi?func=UpgradeFirmware&amp;ControlId={../@id}&amp;userid={$userid}" method="POST" enctype="multipart/form-data">
																
																<xsl:attribute name="name">upgradefireware<xsl:value-of select="../@id"/></xsl:attribute>
																<xsl:attribute name="onsubmit">return checkfile("upgradefireware<xsl:value-of select="../@id"/>","<xsl:value-of select="."/>");</xsl:attribute>
																<input type="hidden" name="ctl_id" value="{../@ctl_id}"/>
																<table border="0">
																	<tr>
																		<td>
																			<input type="File" name="upgradefirmwarefile" size="50" maxlength="200"/>
																		</td>
																		<td>
																			<input type="hidden" name="highpoint" value="highpoint"/>
																			<input type="Submit" name="submit" value="Submit"/>
																		</td>
																	</tr>
																</table>
															</form>
														</td>
													</tr>
												</xsl:if>
											</xsl:for-each>
											<tr>
												<td height="20"/>
											</tr>
											
											<tr>
											<td>
												<form action="devman.cgi?userid={/hpt_raidman_page/session/session_id}" name="opform" method="POST">
													<input type="hidden" name="func" value="Func ID"/>
													<input type="hidden" name="devid" value="Device ID"/>
													<input type="hidden" name="coreid" value="Core ID"/>
													<input type="hidden" name="ctlid" value="Ctl ID"/>
													<input type="hidden" name="fan_ctl_type" value="Fan Ctl Type"/>
													<input type="hidden" name="temp_threshold" value="Temp Threshold"/>
													<input type="hidden" name="voltage_range" value="Voltage Range"/>
												</form>
											</td>
                                            <!--form action="devman.cgi?userid={hpt_raidman_page/session/session_id}" name="opform" method="POST">
												<input type="hidden" name="func" value="Func ID"/>
												<input type="hidden" name="devid" value="Device ID"/>
												<input type="hidden" name="newname" value="NewName"/>
											</form-->
											</tr>
										</table>
										</td></tr>
									</table>
								</div>
								<xsl:for-each select="enclosure">
									<div>
									<xsl:if test="@id=-1">
										<xsl:attribute name="style">display:none;</xsl:attribute>
									</xsl:if>
									
									<xsl:if test="/hpt_raidman_page/hpt_raid/@active_enc!=./@id">
										<xsl:attribute name="style">display:none;</xsl:attribute>
									</xsl:if>
									<xsl:if test="/hpt_raidman_page/hpt_raid/@active_dev=0">
										<xsl:attribute name="style">display:none;</xsl:attribute>
									</xsl:if>
									<table width="100%" border="0">
									<tr><td class="title" align="center">
									Enclosure Information
									</td></tr>
									<tr><td>
										<table width="100%" border="0" style="word-break:break-all">
                                        	<xsl:if test="count(./enclosure_name)&gt;0">
											<tr><td><B>Model</B>: <xsl:value-of select="./enclosure_name"/></td></tr>
                                            </xsl:if>
                                            <xsl:if test="count(./vendor)&gt;0">
                                            <tr><td><B>Vendor</B>: <xsl:value-of select="./vendor"/></td></tr>
                                            </xsl:if>
											<tr><td><B>ID</B>: <xsl:value-of select="./@id+1"/></td></tr>
                                            <xsl:if test="count(./revision)&gt;0">
                                            <tr><td><B>Revision ID</B>: <xsl:value-of select="./revision"/></td></tr>
                                            </xsl:if>
                                            <xsl:if test="count(./Fmwversion)&gt;0">
                                            <tr><td><B>Firmware ID</B>: <xsl:value-of select="./Fmwversion"/></td></tr>
											</xsl:if>
											<!--tr>
												<td>
													<form name="fan_ctl_form" style="margin:0px;">
														<input type="hidden" name="ctl_id" value="{../@ctl_id}"/>
														<input type="hidden" name="core_id" value="{@core_id}"/>
														<table>
															<tr>
																<td>Fans Control:</td>
																<td>
																	<select size="1" name="fan_ctl_slt">
																		<option value="0">
																			<xsl:if test="./fan_ctl_type=0">
																				<xsl:attribute name="selected"/>
																			</xsl:if>
																			Disable
																		</option>
																		<option value="1">
																			<xsl:if test="./fan_ctl_type=1">
																				<xsl:attribute name="selected"/>
																			</xsl:if>
																			Control by Board Temperature Sensor
																		</option>
																		<option value="2">
																			<xsl:if test="./fan_ctl_type=2">
																				<xsl:attribute name="selected"/>
																			</xsl:if>
																			Control by Additional Temperature Sensor
																		</option>
																	</select>
																</td>
																<td/>
																<td>
																	<input type="button" value=" Set " onclick="SetFanCtrl(this.form)"/>
																</td>
															</tr>
														</table>
													</form>
												</td>
											</tr-->
<!--											<xsl:if test="enclosure_name='A33606-PCI-01'">
											<tr  align="center">
												<td>
													<table width="100%" border="1" align="center">
														<xsl:if test="count(./fan)&gt;0">
															<tr>
																<td width="25%" class="devattrname">Power Name</td>
																<td width="20%" class="devattrname">Fan Speed(RPM)</td>
																<td width="20%" class="devattrname">Fan Status</td>
															</tr>
														</xsl:if>
														<xsl:for-each select="./fan">
															<tr>
																<td width="25%">
																	<xsl:value-of select="./name"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./value"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./status"/>
																</td>
															</tr>
														</xsl:for-each>
													</table>
												</td>
											</tr>
											</xsl:if>-->
											<xsl:if test="enclosure_name='EJ6172' or enclosure_name='A33606-PCI-01'or enclosure_name='EJ340'">
                                            <tr><td height="10px"></td></tr>
                                            <tr>
												<td><B><xsl:value-of select="count(./fan)"/>  Fan(s)</B>:</td>
											</tr>
                                            <tr  align="center">
												<td>
													<table width="100%" border="1" align="center">
														<xsl:if test="count(./fan)&gt;0">
															<tr>
																<td width="25%" class="devattrname"><B>Fan Name</B></td>
																<td width="20%" class="devattrname"><B>Fan Speed(RPM)</B></td>
																<td width="20%" class="devattrname"><B>Fan Status</B></td>
															</tr>
														</xsl:if>
														<xsl:for-each select="./fan">
															<tr>
																<td width="25%">
																	<xsl:value-of select="./name"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./value"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./status"/>
																</td>
															</tr>
														</xsl:for-each>
													</table>
												</td>
											</tr>
                                            </xsl:if>
											<tr/>
											<tr/>
                                            
                                            <xsl:if test="enclosure_name='EJ6172' or enclosure_name='A33606-PCI-01'or enclosure_name='EJ340'">
                                            <tr><td height="10px"></td></tr>
                                            <tr>
												<td><B><xsl:value-of select="count(./temperature)"/>  Temperature Sensor(s)</B>:</td>
											</tr>
											<tr  align="center">
												<td>
													<table width="100%" border="1" align="center">
														<xsl:if test="count(./temperature)&gt;0">
															<tr>
																<td width="25%" class="devattrname"><B>Name</B></td>
																<td width="20%" class="devattrname"><B>Temperature(&#176;C)</B></td>
																<td width="20%" class="devattrname"><B>Status</B></td>
																<!--td width="18%" class="devattrname">Beeper Threshold(&#176;C)</td-->
															</tr>
														</xsl:if>
														<xsl:for-each select="./temperature">
															<tr>
																<td width="25%">
																	<xsl:value-of select="./name"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./value"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./status"/>
																</td>
																<!--td>
																	<form name="temperature_form" style="margin:0px;">
																		<input type="hidden" name="ctl_id" value="{../../@ctl_id}"/>
																		<input type="hidden" name="core_id" value="{../@core_id}"/>
																		<input type="hidden" name="dev_id" value="{./dev_id}"/>
																		<table>
																			<tr>
																				<td>
																					<select size="1" name="temp_thrh_slt" width="10%">
																						<option value="65">
																							<xsl:if test="./threshold &gt;60 and ./threshold &lt;70">
																								<xsl:attribute name="selected"/>
																							</xsl:if>
																							65
																						</option>
																						<option value="75">
																							<xsl:if test="./threshold &gt;70 and ./threshold &lt;80">
																								<xsl:attribute name="selected"/>
																							</xsl:if>
																							75
																						</option>
																						<option value="85">
																							<xsl:if test="./threshold &gt;80 and ./threshold &lt;90">
																								<xsl:attribute name="selected"/>
																							</xsl:if>
																							85
																						</option>
																						<option value="95">
																							<xsl:if test="./threshold &gt;90 and ./threshold &lt;100">
																								<xsl:attribute name="selected"/>
																							</xsl:if>
																							95
																						</option>
																					</select>
																				</td>
																				<td>
																					<input type="button" value=" Set " onclick="SetTempThreshold(this.form)"/>
																				</td>
																			</tr>
																		</table>
																	</form>
																</td-->
															</tr>
														</xsl:for-each>
													</table>
												</td>
											</tr>
                                            </xsl:if>
                                            <xsl:if test="productId='RocketStor 5315' or productId='RocketStor 5345'">
                                            <tr><td height="10px"></td></tr>
                                            <tr>
												<td><B><xsl:value-of select="count(./temperature)"/>  Temperature Sensor(s)</B>:</td>
											</tr>
											<tr  align="center">
												<td>
													<table width="100%" border="1" align="center">
														<xsl:if test="count(./temperature)&gt;0">
															<tr>
																<td width="25%" class="devattrname"><B>Name</B></td>
																<td width="20%" class="devattrname"><B>Temperature(&#176;C)</B></td>
															</tr>
														</xsl:if>
														<xsl:for-each select="./temperature">
															<tr>
																<td width="25%">
																	<xsl:value-of select="./name"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./value"/>
																</td>
															</tr>
														</xsl:for-each>
													</table>
												</td>
											</tr>
                                            </xsl:if>
											
											<tr/>
											<tr/>
											
                                            <xsl:if test="enclosure_name='EJ6172' or enclosure_name='A33606-PCI-01'or enclosure_name='EJ340'">
                                            <tr><td height="10px"></td></tr>
                                            <tr>
												<td><B><xsl:value-of select="count(./voltage)"/>  Voltage Sensor(s)</B>:</td>
											</tr>
											<tr  align="center">
												<td>
													<table width="100%" border="1">
														<xsl:if test="count(./voltage)&gt;0">
															<tr>
																<td width="25%" class="devattrname"><B>Name</B></td>
																<td width="20%" class="devattrname"><B>Voltage(V)</B></td>
																<td width="20%" class="devattrname"><B>Status</B></td>
															</tr>
														</xsl:if>
														<xsl:for-each select="./voltage">
															<tr>
																<td width="25%">
																	<xsl:value-of select="./name"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./value"/>
																</td>
																<td width="20%">
																	<xsl:value-of select="./status"/>
																</td>
															</tr>
														</xsl:for-each>
													</table>
												</td>
											</tr>
                                            </xsl:if>
                                            
											<tr />
											<tr />
											<xsl:if test="enclosure_name='EJ6172'">
                                            <tr><td height="10px"></td></tr>
											<td>
				                               <form name="autorebuild" method="POST">
                                    			<input type="hidden" name="func" value="setej6172"/>
												<input type="hidden" name="ControlId" value="{../@id}" />
												<input type="hidden" name="EnclosureId" value="{@id}" />
												<table cellpadding="2">
													<tr>
                                                    	<td width="100px">Enable alarm.</td>
                                                        <td>
															<select size="1" name="alarm" style="width:77px;">
																<option value="1">
																<xsl:if test="./Alarmsta='0'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Disabled</option>
																<option value="0">
																<xsl:if test="./Alarmsta='1'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Enabled</option>
															</select>
														</td>
														<td/>
														<td><input type="submit" value="Submit"/></td></tr>
												</table>		
											</form>
											
											</td>
											</xsl:if>
											<tr height="10"/>
										
									
									</table>
									</td></tr>
                                    
										<xsl:if test="enclosure_name='EJ6172'">
													<tr>
														<td class="title" align="center">Update Firmware</td>
													</tr>
													<tr>
														<td class="content">
															<table width="100%">
																<tr>
																	<td>Select the blf file to update Firmware.</td>
																</tr>
																<tr>
																	<td>This process may take some time.</td>
																</tr>
															</table>
														</td>
													</tr>
												
													
													<tr>
														<td>
															<form name="upgradeejfireware" action="devman.cgi?func=UpgradeejFirmware&amp;ControlId={../@id}&amp;EnclosureId={@id}&amp;userid={$userid}" method="POST" enctype="multipart/form-data">
																
																<xsl:attribute name="name">upgradeejfireware<xsl:value-of select="@id"/></xsl:attribute>
																<xsl:attribute name="onsubmit">return checkfile("upgradeejfireware<xsl:value-of select="@id"/>","<xsl:value-of select="/hpt_raidman_page/hpt_raid/controllers/controller/version"/>");</xsl:attribute>
																<input type="hidden" name="ctl_id" value="{/hpt_raidman_page/hpt_raid/controllers/controller/@ctl_id}"/>
																<table border="0">
																	<tr>
																		<td>
																			<input type="File" name="upgradeejfirmwarefile" size="50" maxlength="200"/>
																		</td>
																		<td>
																			<input type="hidden" name="highpoint" value="highpoint"/>
																			<input type="Submit" name="submit" value="Submit"/>
																		</td>
																	</tr>
																</table>
															</form>
														</td>
													</tr>
                                                    
												</xsl:if>
											
                                            <tr>
												<td height="20"/>
											</tr>
											
											<!--tr>
											<td>
												<form action="devman.cgi?userid={/hpt_raidman_page/session/session_id}" name="opform" method="POST">
													<input type="hidden" name="func" value="Func ID"/>
													<input type="hidden" name="devid" value="Device ID"/>
													<input type="hidden" name="coreid" value="Core ID"/>
													<input type="hidden" name="ctlid" value="Ctl ID"/>
													<input type="hidden" name="fan_ctl_type" value="Fan Ctl Type"/>
													<input type="hidden" name="temp_threshold" value="Temp Threshold"/>
													<input type="hidden" name="voltage_range" value="Voltage Range"/>
												</form>
											</td>
											</tr-->
                                            
                                            
									</table>
									</div>
									
									<xsl:for-each select="./disks">
									<div >
										<xsl:if test="/hpt_raidman_page/hpt_raid/@active_dev=-1">
											<xsl:attribute name="style">display:none;</xsl:attribute>
										</xsl:if>
										<xsl:if test="/hpt_raidman_page/hpt_raid/@active_enc!=../@id">
											<xsl:attribute name="style">display:none;</xsl:attribute>
										</xsl:if>
										<table border="0" width="100%">
										<tr><td class="title" align="center">
										Physical Devices Information
										</td></tr>
										<tr><td>
										<table width="100%" border="0">
											<xsl:for-each select="./disk">
												
												<tr>
													<td>
														<table width="100%" border="0">
															<tr>
																<td width="5%">
																	<xsl:call-template name="DrawDevImgTable"/>
																</td>
																<td width="14%">
																	<table border="0" cellspacing="0" cellpadding="0">
																		<tr>
																			<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																				<xsl:attribute name="id"><xsl:value-of select="@id"/>_button</xsl:attribute>
																				<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_button',1);return true;</xsl:attribute>
																				<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_button',1);return true;</xsl:attribute>
																				<xsl:attribute name="onclick">Display("<xsl:value-of select="@id"/>")</xsl:attribute>
																				<font class="labelbtn">
																					<u>
																						<xsl:value-of select="name"/>
																					</u>
																				</font>
																			</td>
																		</tr>
																	</table>
																</td>
																<td width="14%" class="diskattrname">Model</td>
																<td width="30%">
																	<xsl:value-of select="model"/>
																</td>
																<td width="13%" class="diskattrname">Capacity</td>
																<td width="20%">
																	<xsl:value-of select="capacity"/>
																</td>
															</tr>
														</table>
													</td>
												</tr>
												<tr>
													<td>
														<div style="display:none">
															<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
															<table width="100%" border="0" style="word-break:break-all">
																<tr>
																	<td width="5%"/>
																	<td width="14%">
																		<xsl:for-each select="operation">
																			<xsl:if test="@id='UnplugDisk'">
																				<table border="0" cellspacing="0" cellpadding="0">
																					<tr>
																						<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																							<xsl:attribute name="id"><xsl:value-of select="../@id"/>_Unplug</xsl:attribute>
																							<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="../@id"/>_Unplug',1);return true;</xsl:attribute>
																							<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="../@id"/>_Unplug',1);return true;</xsl:attribute>
																							<xsl:attribute name="onclick">Devman_UnplugDisk("<xsl:value-of select="../@id"/>")</xsl:attribute>
																							<font class="labelbtn">
																								<u>Unplug</u>
																							</font>
																						</td>
																					</tr>
																				</table>
																			</xsl:if>
																		</xsl:for-each>
																	</td>
																	<td width="14%" class="diskattrname">Revision</td>
																	<td width="30%">
																		<xsl:value-of select="revision"/>
																	</td>
																	<td class="diskattrname" width="13%">Read Ahead</td>
																	<xsl:if test="count(read_ahead)&gt;0">
																		<td width="20%">
																			<table border="0">
																				<tr>
																					<td>
																						<xsl:value-of select="read_ahead"/>
																					</td>
																					<xsl:if test="contains(flags/@des, 'Disabled') =0">
																						<td>
																							<table border="0" cellspacing="0" cellpadding="0">
																								<tr>
																									<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																										<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeReadAhead</xsl:attribute>
																										<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeReadAhead',1);return true;</xsl:attribute>
																										<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeReadAhead',1);return true;</xsl:attribute>
																										<xsl:attribute name="onclick">Devman_ChangeReadAhead("<xsl:value-of select="@id"/>")</xsl:attribute>
																										<font class="labelbtn">
																											<u>Change</u>
																										</font>
																									</td>
																								</tr>
																							</table>
																						</td>
																					</xsl:if>
																				</tr>
																			</table>
																		</td>
																	</xsl:if>
																	<xsl:if test="count(read_ahead)=0">
																		<td width="20%">Not Supported</td>
																	</xsl:if>
																</tr>
																<tr>
																	<td/>
																	<td>
																	</td>
																	<td class="diskattrname">Location</td>
																	<td>
																		<xsl:value-of select="location"/>
																	</td>
																	<td class="diskattrname">Write Cache</td>
																	<xsl:if test="count(write_cache)&gt;0">
																		<td>
																			<table border="0">
																				<tr>
																					<td>
																						<xsl:value-of select="write_cache"/>
																					</td>
																					<xsl:if test="contains(flags/@des, 'Disabled') =0">
																						<td>
																							<table border="0" cellspacing="0" cellpadding="0">
																								<tr>
																									<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																										<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeWriteCache</xsl:attribute>
																										<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeWriteCache',1);return true;</xsl:attribute>
																										<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeWriteCache',1);return true;</xsl:attribute>
																										<xsl:attribute name="onclick">Devman_ChangeWriteCache("<xsl:value-of select="@id"/>")</xsl:attribute>
																										<font class="labelbtn">
																											<u>Change</u>
																										</font>
																									</td>
																								</tr>
																							</table>
																						</td>
																					</xsl:if>
																				</tr>
																			</table>
																		</td>
																	</xsl:if>
																	<xsl:if test="count(write_cache)=0">
																		<td>Not Supported</td>
																	</xsl:if>
																</tr>
																<tr>
																	<td/>
																	<td/>
																	<td class="diskattrname">Max Free</td>
																	<td>
																		<xsl:value-of select="max_free"/>
																	</td>
																	<xsl:if test="count(tcq)&gt;0">
																		<td class="diskattrname">TCQ</td>
																		<td>
																			<table border="0">
																				<tr>
																					<td>
																						<xsl:value-of select="tcq"/>
																					</td>
																					<xsl:if test="contains(flags/@des, 'Disabled') =0">
																						<td>
																							<table border="0" cellspacing="0" cellpadding="0">
																								<tr>
																									<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																										<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeTCQ</xsl:attribute>
																										<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeTCQ',1);return true;</xsl:attribute>
																										<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeTCQ',1);return true;</xsl:attribute>
																										<xsl:attribute name="onclick">Devman_ChangeTCQ("<xsl:value-of select="@id"/>")</xsl:attribute>
																										<font class="labelbtn">
																											<u>Change</u>
																										</font>
																									</td>
																								</tr>
																							</table>
																						</td>
																					</xsl:if>
																				</tr>
																			</table>
																		</td>
																	</xsl:if>
																	<xsl:if test="count(tcq)=0">
																		<td/>
																		<td/>
																	</xsl:if>
																</tr>
																<tr>
																	<td/>
																	<td/>
																	<td class="diskattrname">Status</td>
																	<td>
																		<xsl:value-of select="flags/@des"/>
																	</td>
																	<xsl:if test="count(ncq)&gt;0">
																		<td class="diskattrname">NCQ</td>
																		<td>
																			<table border="0">
																				<tr>
																					<td>
																						<xsl:value-of select="ncq"/>
																					</td>
																					<xsl:if test="contains(flags/@des, 'Disabled') =0">
																						<td>
																							<table border="0" cellspacing="0" cellpadding="0">
																								<tr>
																									<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																										<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeNCQ</xsl:attribute>
																										<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeNCQ',1);return true;</xsl:attribute>
																										<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeNCQ',1);return true;</xsl:attribute>
																										<xsl:attribute name="onclick">Devman_ChangeNCQ("<xsl:value-of select="@id"/>")</xsl:attribute>
																										<font class="labelbtn">
																											<u>Change</u>
																										</font>
																									</td>
																								</tr>
																							</table>
																						</td>
																					</xsl:if>
																				</tr>
																			</table>
																		</td>
																	</xsl:if>
																	<xsl:if test="count(ncq)=0">
																		<td/>
																		<td/>
																	</xsl:if>
																</tr>
																<tr>
																	<td/>
																	<td/>
																	<td class="diskattrname">Serial Num</td>
																	<td>
																		<xsl:value-of select="SerialNum"/>
																	</td>
																	<xsl:if test="contains(flags/@des, 'Disabled') =0">
																		<td class="diskattrname">Identify LED</td>
																		<td>
																			<table border="0">
																				<tr>
																					<td>
																						<table border="0" cellspacing="0" cellpadding="0">
																							<tr>
																								<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																									<xsl:attribute name="id"><xsl:value-of select="@id"/>_LEDOn</xsl:attribute>
																									<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_LEDOn',1);return true;</xsl:attribute>
																									<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_LEDOn',1);return true;</xsl:attribute>
																									<xsl:attribute name="onclick">Devman_LEDOn("<xsl:value-of select="@id"/>")</xsl:attribute>
																									<font class="labelbtn">
																										<u>[ON]</u>
																									</font>
																								</td>
																							</tr>
																						</table>
																					</td>
																					<td>
																						<table border="0" cellspacing="0" cellpadding="0">
																							<tr>
																								<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																									<xsl:attribute name="id"><xsl:value-of select="@id"/>_LEDOff</xsl:attribute>
																									<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_LEDOff',1);return true;</xsl:attribute>
																									<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_LEDOff',1);return true;</xsl:attribute>
																									<xsl:attribute name="onclick">Devman_LEDOff("<xsl:value-of select="@id"/>")</xsl:attribute>
																									<font class="labelbtn">
																										<u>[OFF]</u>
																									</font>
																								</td>
																							</tr>
																						</table>
																					</td>
																				</tr>
																			</table>
																		</td>
																	</xsl:if>
																</tr>
                                                                <xsl:if test="count(SASAddress)&gt;0">
																<tr>
																	<td/>
																	<td/>
																	<td class="diskattrname">SASAddress</td>
																	<td>
																		<xsl:value-of select="SASAddress"/>
																	</td>
																</tr>
                                                                </xsl:if>
															</table>
														</div>
													</td>
												</tr>
											</xsl:for-each>
										</table>
										</td></tr>
										</table>
									</div>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:for-each>
						</div>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<xsl:call-template name="DrawPageTail"/>
					</td>
				</tr>
			</table>
		</p>
		</body>
	</html>
	</xsl:template>
</xsl:stylesheet>
