<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="devinfo.xsl"/>
	<xsl:import href="public.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:variable name="ref">
	        <xsl:choose>
		<xsl:when test="count(hpt_raidman_page/hpt_raid/logicals/array/build_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/trans_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/members/array/trans_progress)=0 and count(hpt_raidman_page/hpt_raid/logicals/array/members/array/build_progress)=0">
			1
		</xsl:when>
		<xsl:otherwise>
		   0
		</xsl:otherwise>  
		</xsl:choose> 
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">
	
		</SCRIPT>
			<title>HighPoint Non-RAID Management -- Graphic</title>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init();getXml();">
			        
				<xsl:for-each select="hpt_raidman_page/hpt_raid/logicals/array">
					<xsl:call-template name="DrawArrayDetailDiv"/>
					<xsl:for-each select="trans_target/array">
						<xsl:call-template name="DrawArrayDetailDiv"/>
					</xsl:for-each>
				</xsl:for-each>
				<p align="center">
					<table border="0" width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
									<xsl:with-param name="topmenuech">graphic.cgi</xsl:with-param>
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>	
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
                         	<td align="right" valign="top">
                            	<div><img src="r750.gif" height="70px" width="100px" /></div>
                            </td>
                            <td align="left" valign="top">
                                <table border="0" cellpadding="0" cellspacing="0">
                    				<tr>
                        				<td width="25" height="25">
                            			</td>
                            			<td align="center" style="position: relative; width:400px; border-bottom:#000; border-bottom-width:1px;border-bottom-style:dashed">
                                			<table>
                                                <tr>
                                                	<td align="center" height="20px" width="80px"><b>MinSAS</b></td>
													<td align="center" height="20px" width="80px"><b style="color:#36C">Disk1</b></td>
													<td align="center" height="20px" width="80px"><b style="color:#36C">Disk2</b></td>
													<td align="center" height="20px" width="80px"><b style="color:#36C">Disk3</b></td>
													<td align="center" height="20px" width="80px"><b style="color:#36C">Disk4</b></td>
												</tr>
                                        	</table>
                                    	</td>
                       				</tr>
                        			<tr>
                        				<td width="25"  style="border-top:#000; border-top-width:3px;border-top-style:inset" >
                            				<table style="height:auto; vertical-align:bottom;" align="center" border="0" cellspacing="0" cellpadding="0" >
                                                <tr>
                                                	<td align="right">
                            							<div ><img src="ziti2.gif" width="40px" height="200px"  /></div>
                            						</td>
                                                </tr>
											</table>
                            			</td>
                            			<td style="border-left:#000; border-left-width:3px;border-left-style:inset" class="content">
                                        	<table>
                                              	<xsl:for-each select="hpt_raidman_page/ports/port">
                                                	<tr>
                                                    	<td align="center" style="position: relative; width:100%; border-bottom:#000; border-bottom-width:1px;border-bottom-style:dashed;">
                                                        	<table>
                                                            	<tr>
                                                                	<td align="center" height="20px" width="70px"><b>Port<xsl:value-of select="@pid"/></b></td>
                                                                    <xsl:for-each select="disk">
                                                                         <xsl:choose>
                                                                            <xsl:when test="flags/@des='disable'">
                                                                                <td align="center" height="20px" width="80px"><div><img src="disk_3.gif"/></div></td>
                                                                            </xsl:when>
                                                                            <xsl:when test="flags/@des='no'">
                                                                                <td align="center" height="20px" width="80px"><div><img src="disk_1.gif"/></div></td>
                                                                            </xsl:when>
                                                                            <xsl:otherwise>
                                                                                <td align="center" height="20px" width="80px"><div><img src="disk_2.gif"/></div></td>
                                                                            </xsl:otherwise>  
                                                                            </xsl:choose> 
                                                                    </xsl:for-each>
                                                            	</tr>
                                                        	</table>
                                                    	</td>
                                                	</tr>
                                            	</xsl:for-each>
                                        	</table>
                                    	</td>
                        			</tr>
                    			</table> 
							</td>
						</tr>
                        <tr />
						<tr>
							<td colspan="2">
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
	
	
</xsl:stylesheet>