<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
		        <SCRIPT language="Javascript">
		        function I2csep_Refresh(){
			var theform = document.forms['i2csepform'];
			theform.elements[0].value="Refresh";
			theform.submit();
			return true;
			}
			function CheckPar(I2cindex){
			var renform = document.forms[I2cindex+"I0_form"];
			if(renform.valuethreshold.value==""){
      				alert("please input parameter.");
	  			return false;
		    	}
		    	var low=renform.valuelow.value;
			var high=renform.valuehigh.value;
			var value=renform.valuethreshold.value;
			var isnum=parseInt(value);
			if (isNaN(isnum)) {
			     alert("please input correct parameter");
			     return false;
			     }     
			if((parseInt(value)&lt;parseInt(low))||(parseInt(value)&gt;parseInt(high)))
			{	
			     alert("please input parameter from "+low+" to "+high);
			     return false;
			 }
			 
			  return true;
			}
			</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<table width="100%">
								        <tr></tr>
								        <tr><button onclick="I2csep_Refresh()"> Refresh</button></tr>
									<tr></tr>
									<tr>
										<td class="title" align="center">SAF-TE Enclosure Information</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td class="content">
								<table width="100%" cellpadding="2" border="0">
									<thead>
										<td> 
										</td>
										<td>Name</td>
										<td width="100"></td>
										<td width="200">Status</td>
										<td width="150"></td>
										
									</thead>
									<tbody>
										<xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
											<tr>
												<td class="diskattrname"></td>
											        <td class="diskattrname">
													<xsl:value-of select="name"/>
											        </td>
											        <td></td>
											        <td class="diskattrname">
											        	<xsl:value-of select="valuestring"/>
											        </td>
											        <td>
											        	<xsl:if test="readonly=0">
														<xsl:call-template name="DrawI2cBtn">
														<xsl:with-param name="icaption">Change</xsl:with-param>
														<xsl:with-param name="ibtnid">
														<xsl:value-of select="index"/>_Details</xsl:with-param>				
														<xsl:with-param name="ionclick">ShowI2cPopup("<xsl:value-of select="index"/>")</xsl:with-param>
														</xsl:call-template>
													</xsl:if>
												</td>
											</tr>
											<tr>
											<td height="5"></td>
											<td ></td>
											<td ><xsl:call-template name="DrawI2cDiv"/>
											</td>
											<td ></td>
											<td></td>
											</tr>
										</xsl:for-each>
									</tbody>	
								</table>
						         </td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
						<tr>
							<td>
								<form action="i2csep.cgi?userid={hpt_raidman_page/session/session_id}" name="i2csepform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
								</form>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="DrawI2cDiv">
		<xsl:variable name="infobgcolor">#FFFFCC</xsl:variable>
		<xsl:variable name="I2cindex"><xsl:value-of select="index"/></xsl:variable>		
		<DIV style="Z-INDEX: 1; POSITION: absolute; VISIBILITY: hidden;" id="I2csep_{$I2cindex}">
			<table width="250" border="0" cellpadding="0" cellspacing="0" style="BORDER-RIGHT: #FFCC00 outset; BORDER-TOP: #FFCC00 outset; BORDER-LEFT:#FFCC00  outset; BORDER-BOTTOM: #FFCC00 outset">
				<tr>
					<th class="title" colspan="3">I2CSEP CONFIG</th>
				</tr>
				<tr >
				        <td class="title" colspan="3">
						<TABLE width="250" cellSpacing="2" cellPadding="0" border="2" bordercolor="{$menubdcolor}" bgcolor="{$menubgcolor}" >
							<TBODY>
								<tr>
								<xsl:if test="valuetype='0' or valuetype='2'" >
								<td width="200" align="middle"><xsl:value-of select="name"/></td>
									<td align="middle">
									<form name="{$I2cindex}I0_form" method="POST" onsubmit="return CheckPar({$I2cindex});">
									<input type="hidden" name="func" value="ChangeValue" />
									<input type="hidden" name="indexthreshold" value="{index}"/>
									<input type="hidden" name="valuehigh" value="{valuehigh}" />
									<input type="hidden" name="valuelow" value="{valuelow}" />
									<input type="hidden" name="oldvalue" value="{value}" />
									<input type="hidden" name="oldname" value="{name}" />
									<input type="text" name="valuethreshold" size="3" maxlength="4" value="{value}" />
									<input type="submit" name="submit" value="change"/>
									</form>
									</td>		
								</xsl:if>
								<xsl:if test="valuetype='1'" >
								<td width="200" align="middle"><xsl:value-of select="name"/></td>
									<td >
										<form name="{$I2cindex}I0_form" method="POST" onsubmit="return true;">
											<input type="hidden" name="func" value="ChangeValue" />
											<input type="hidden" name="indexthreshold" value="{index}" />
											<input type="hidden" name="valuehigh" value="{valuehigh}" />
											<input type="hidden" name="valuelow" value="{valuelow}" />	
											<input type="hidden" name="oldvalue" value="{value}" />
											<input type="hidden" name="oldname" value="{name}" />
											<select size="1" name="valuethreshold">
												<xsl:for-each select="othervaluestring">
													<xsl:if test="@id=../valuestring ">
														<option value="{@num}" selected="true"><xsl:value-of select="@id"/></option>
													</xsl:if>
													<xsl:if test="@id!=../valuestring ">
														<option value="{@num}"><xsl:value-of select="@id"/></option>
													</xsl:if>
													<!--option value="{@num}"><xsl:value-of select="@id"/></option>
													<xsl:if test="@id=../valuestring " >
														<xsl:attribute name="selected"/> In safari this will cause error because we use xsl keyword attribute as our xml element name.
													</xsl:if-->
												</xsl:for-each>		
											</select>
											<input type="submit" name="submit" value="change"/>
									</form>
									</td>
								</xsl:if>
								</tr>					
							</TBODY>				
						</TABLE>
					</td>
				</tr>
				<tr>
					
					<td class="title"></td>
					<td class="title" height="20"></td>
					<td class="title">
						<p align="right">
							<button onclick="HideI2cPopup({index})">cancel</button>
						</p>
						
					</td>
					<td class="title"></td>
				</tr>
			</table>
		</DIV>
	</xsl:template>
</xsl:stylesheet>