<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="secsizshift">
		<xsl:if test="count(hpt_raidman_page/isSupVarSecSize)=0">
			0
		</xsl:if>
		<xsl:if test="count(hpt_raidman_page/isSupVarSecSize)!=0">
			1
		</xsl:if>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<title>HighPoint RAID Management -- Recover</title>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
				<SCRIPT language="Javascript">


function Arrman_Recover()
{
	var theform = document.forms['recmanform'];
	var x = document.getElementsByName("recovername");
	var found = 0;
	for(var i=0; i&lt;x.length; i++)
	{
		if(x[i].checked){
			theform.elements[1].value=x[i].id;
			found = 1;
		}
	}
	if(!found){
		//theform.submit();
		alert("Please select a recover items.");
        document.MM_returnValue = false;
		return false;
	}else{
		theform.submit();
		document.MM_returnValue = false;
		return true;
	}	
}

function Arrman_Backup()
{
	var theform = document.forms['opform'];
	theform.elements[0].value="Backup";
	theform.elements[1].value="backup";
	theform.submit();
	return true;
}
function Arrman_Clear()
{
	var theform = document.forms['opform'];
	theform.elements[0].value="Backup";
	theform.elements[1].value="Clear";
	theform.submit();
	return true;
}
function checkfile(formname,version){
		var upgradeform = document.forms[formname];
		if(upgradeform.elements["upgradefirmwarefile"].value==""){
      		alert("Please input file!");
	  		return false;
    	}
    	var filename = upgradeform.elements["upgradefirmwarefile"].value.toLowerCase();
		var filext = filename.substring(filename.length-3,filename.length);
		if(version == 3)
		if(filext!="blf" ) {
			alert("Wrong file type!");
			return false;
		}
		upgradeform.elements['submit'].disabled = true;
    	return true;
}
function SaveRecover(i){
	if(i==0){
		alert("No Recover For Saving");
		return false;
	}
	document.location.href="hptrec.rec?userid="+userid;
	return true;  
}
function checkrecover(){
	var str="All of current recover list will be cleared if you to do this,do you want to continue?";
   	if(confirm(str)) return true;
    else {
    	return false;
    }
    
}
</SCRIPT>
			</head>
			<body onload="init(); checkError();CreateBlocksizeOption();OnArrayTypeChange();">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr >
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
									<xsl:with-param name="topmenuech">recman.cgi</xsl:with-param>
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						
                        <!--###############################################################################-->
                        <tr>
                            <td class="title" align="center">Recover List</td>
                        </tr>
                        <tr>
                        	<xsl:for-each select="hpt_raidman_page/hpt_raid/recovers">
                            <td>
      <!--                  		<input style="width:80px; height:25px;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" type="submit" value="Backup" name="backup" onclick="Arrman_Backup();"/>-->
                            	<button style="width:120px; height:25px;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" onclick="return SaveRecover({count(recover)})" >Backup To File</button>
                                <button style="width:80px; height:25px;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" name="Clear" onclick="Arrman_Clear();" >Clear All</button>
                            </td>
                            </xsl:for-each>
                        </tr>
                        <tr><td>
                            <form name="recmanform" action="recman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST" >
                                <input type="hidden" name="func" value="Recover"/>
                                <input type="hidden" name="recover_id" value="Recover ID"/>
                            <table>
                            	
                                <xsl:for-each select="hpt_raidman_page/hpt_raid/recovers/recover">
                                <tr>
                                    <td>
                                        <table>
                                            <tr rowspan="5">
                                              <td colspan="5"><input type="radio" name="recovername" id="{@recover_id}" value="{arrayname}" /> <xsl:value-of select="arrayname" /> (RAID Level:<xsl:value-of select="arrtypename" />  Capacity:<xsl:value-of select="capacity" />) (Time:<xsl:value-of select="time" />)</td>
                                            </tr>
                                            <xsl:for-each select="disk">
                                            <tr>
                                                <td width="10" />
                                                <td>
                                                   Location:<xsl:value-of select="name" />
                                                </td>
                                                <td width="20" />
                                                <td>
                                                    Model:<xsl:value-of select="model" />
                                                </td>
                                            </tr>
                                            </xsl:for-each>
                                        </table>
                                    </td>
                                </tr>
                                </xsl:for-each>
                                <tr>
                                    <td>
                                        <p align="left">
                                            <input style="width:100px; height:25px;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" type="button"  value="Recover Array" name="recover" onclick="Arrman_Recover();"/>
                                       	</p>
                                    </td>
                                </tr>
                            </table>
                            </form>
                        </td></tr>
                        
                        <tr>
                            <td class="title" align="center">Update Recover List</td>
                        </tr>
                        <tr>
                            <td class="content">
                                <table width="100%">
                                    <tr>
                                        <td>Select the rec file to update Recover List.</td>
                                    </tr>
                                    <tr>
                                        <td>This process may take some time. </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                            <form name="rebackup" action="recman.cgi?func=Backup&amp;funname=rebackup&amp;ControlId={../@conid}&amp;userid={hpt_raidman_page/session/session_id}" method="POST" enctype="multipart/form-data">
								<input type="hidden" name="func" value="Backup"/>
								<input type="hidden" name="funname" value="rebackup"/>
                                <table border="0">
                                    <tr>
                                        <td>
                                            <input type="File" name="rebackupfile" size="50" maxlength="200"/>
                                        </td>
                                        <td>
                                            <input type="Submit" name="submit" value="Submit" onclick="return checkrecover();"/>
                                        </td>
                                    </tr>
                                </table>
							</form>
                        	</td>
                        </tr>               
                                        
                        <!--###############################################################################-->
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/smart_info"/>
							</td>
						</tr>
						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="funname" value="Fun Name"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>