<?xml version="1.0"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:import href="public.xsl"/>

	<!--xsl:import href="devinfo.xsl"/-->

	<xsl:variable name="userid">

		<xsl:value-of select="hpt_raidman_page/session/session_id"/>

	</xsl:variable>

	<xsl:template match="/">

		<html>
        <script language="javascript" type= "text/javascript" src="jquery.js"></script>
	<script language="javascript" type= "text/javascript" src="globle.js"></script>		

			<SCRIPT language="Javascript">function ExamPassword(){

				var theform = document.forms['passwordform'];
				if(theform.elements['password'].value != theform.elements['confirm'].value){
					alert("The password you typed do not match.");
					return false;

				}

				return true;

			}
			function ExamThreshold(){
				var theform = document.forms['thresholdform'];
				if(theform.elements[1].value == ""){
					alert("Please input the threshold value.");
					return false;
				}
				if((theform.elements[1].value &lt; 20) || (theform.elements[1].value &gt; 100)){
					alert("Threshold value should be in the range 20 to 100.");
					return false;
				}
				return true;	
			}
			function tip(){
			   var length=document.forms['passwordform'].elements['password'].value.length+1;
			   if(length>8)
			       alert("The password can only have 8 character!");
			}       
			function CheckMAIDValue(maid){
			        if(maid.value&lt;0||maid.value>240||maid.value.indexOf('.')>=0){
			            alert("Time value should be in the range 0 to 240! (0 for disabled)");
			            document.getElementById("changeMAIDValue").disabled=true;
			        }else{
			            document.getElementById("changeMAIDValue").disabled=false;
			        }    
			        
		        }	        
			function ExamSMTPSetting(){

				var theform = document.forms['smtpform'];

				if(theform.elements[2].value == ""){

					alert("Please input the Server Address.");

					return false;

				}

				if (theform.elements[3].value == ""){

					alert("Please input the Mail From.");

					return false;

				}

				if (theform.elements[6].value == ""){

					alert("Please input the SMTP port number.");

					return false;

				}

				return true;

			}

			function ExamDeleteRecipient(){

				var theform = document.forms['recipientsform'];

				i = 1;

				count = 0;

				while(theform.elements[i]!=undefined){

					if(theform.elements[i].type != "checkbox")	break;

					if (theform.elements[i].checked) count++;

					i++;

				}

				if(count==0){

					alert("Please select the recipient you want to delete.");

					return false;

				}

				return true;

			}

			function ExamAddRecipient(){

				var theform = document.forms['addrecipientform'];

				if(theform.elements[1].value == ""){

					alert("Please input the E-mail Address.");

					return false;

				}
				
				if(theform.elements[1].value.search(/@/) == -1){
					alert("Invalid E-mail Address.");
					return false;
				}
				//alert(theform.elements[1].value.lastIndexOf("@",theform.elements[1].value.length - 1));
				if(theform.elements[1].value.lastIndexOf("@",theform.elements[1].value.length - 1)==theform.elements[1].value.length - 1){
					alert("Invalid E-mail Address.");
					
					return false;
				}

				if (theform.elements[2].value == ""){

					alert("Please input the Name.");

					return false;

				}

				i = 3;

				count = 0;

				while(theform.elements[i]!=undefined){

					if(theform.elements[i].type != "checkbox") break;

					if (theform.elements[i].checked) count++;

					i++;

				}

				

				if(count==0){

					alert("Please select the Event Level.");

					return false;

				}

				return true;

			}
			
            function ssl_select(){
				var theform = document.forms['smtpform'];
				if(theform.ssl.checked){
					theform.port.value = 465 ;
				}else{
					theform.port.value = 25 ;
				}
			}
            
            
            </SCRIPT>
			<title>HighPoint RAID Management -- Setting</title>

			<head>

				<xsl:apply-templates select="hpt_raidman_page/session"/>

			</head>

			<body onload="initv1()">

				<p align="center">

					<table width="{$pagewidth}">

						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
									<xsl:with-param name="topmenuech">setting.cgi</xsl:with-param>
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>

							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>

							</td>

						</tr>

						<tr>
                        	<td align="left" valign="top">
                                  <div class="aside" style="position:relative;"> 

                        <ul>
                             <li>
                             	<xsl:if test="/hpt_raidman_page/setting/@email=-1">
                                     <xsl:attribute name="class">on</xsl:attribute>
                                </xsl:if>
                             	<a href="#">System</a>
                             </li>
                             <li>
                                    <xsl:if test="/hpt_raidman_page/setting/@set=-1">
                                        <xsl:attribute name="class">on</xsl:attribute>
                                    </xsl:if>
                                <a href="#">Email</a>
                             </li> 
      					</ul>
                                      
                                      
                                      
                                      
                                  </div>
                                  
                            </td>
												
                            <td align="left" valign="top">
                            
								<div class="main">
                                    <div>
                                    <xsl:if test="/hpt_raidman_page/setting/@set=-1">
										<xsl:attribute name="style">display:none;</xsl:attribute>
									</xsl:if>
								<table width="{$pagewidth}">
									<tr><td>
                                    <form name="autorebuild"  method="POST">
                                    <input type="hidden" name="func" value="SetSys"/>					
									<table>
                                  
									<xsl:for-each select="hpt_raidman_page/setting/auto_rebuild">

									<tr>

										<td class="title"  width="{$pagewidth}"  align="center">System Setting</td>

									</tr>

									<tr>

										<td>
                                        	

												<table cellpadding="2">

													<tr>
                                                    	
                                                        <td width="300px" >Enable auto rebuild.</td>
                                                        <td>
															<select size="1" name="autorebuild" style="width:77px;">
																<option value="0">
																<xsl:if test=".='0'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Disabled</option>
																<option value="1">
																<xsl:if test=".='1'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Enabled</option>
															</select>
														</td>
													</tr>
												</table>
											</td>
										</tr>

									</xsl:for-each>
									<xsl:for-each select="hpt_raidman_page/setting/rebcononerr">
									<tr>
										<td>
											

												<table cellpadding="2">

													<tr>
                                                    	<td width="300px">Enable Continue Rebuilding on error.</td>
                                                         <td>
															<select size="1" name="rebcononerr" style="width:77px;">
																<option value="0">
																<xsl:if test=".='0'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Disabled</option>
																<option value="1">
																<xsl:if test=".='1'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Enabled</option>
															</select>
														</td>
													</tr>
												</table>
											</td>

											</tr>

									</xsl:for-each>
									<xsl:for-each select="hpt_raidman_page/setting/alarm_disabled">

									

									<tr>
                                    
                                    	

										<td>

											

												

												<table cellpadding="2">

													<tr>
                                                    	<td width="300px">Enable audible alarm.</td>

														
                                                        <td>
															<select size="1" name="alarm" style="width:77px;">
																<option value="1">
																<xsl:if test=".='1'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Disabled</option>
																<option value="0">
																<xsl:if test=".='0'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Enabled</option>
															</select>
														</td>

														<td/>

														

													</tr>

												</table>

											
											</td>

											</tr>

									</xsl:for-each>
									
									<xsl:for-each select="hpt_raidman_page/setting/MAID">

									
									<tr>

										<td>

											


												<table cellpadding="2">

													<tr>

														<td width="300px">Set Spindown Idle Disk(minutes):</td>

														<td>
														<select size="1" name="MAID" style="width:77px;">
																<option value="0">
																<xsl:if test=".='0'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Disabled</option>

																<option value="10">
																<xsl:if test=".='10'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																10</option>

																<option value="20">
																<xsl:if test=".='20'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																20</option>

																<option value="30">
																<xsl:if test=".='30'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																30</option>

																<option value="60">
																<xsl:if test=".='60'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																60</option>

																<option value="120">
																<xsl:if test=".='120'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																120</option>

																<option value="180">
																<xsl:if test=".='180'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																180</option>

																<option value="240">
																<xsl:if test=".='240'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																240</option>
															</select>
														</td>
													</tr>
                                                    
												</table>

											

										</td>

									</tr>

									</xsl:for-each>
									<tr>

										<td>

											
												

												<table cellpadding="3">

													<tr>
                                                    	<td width="300px">Restrict to localhost access.</td>

														
                                                         <td >
															<select size="1" name="localhost" style="width:77px;">
																<option value="1">
																<xsl:if test="hpt_raidman_page/setting/remote_access='1'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Disabled</option>
																<option value="0">
																<xsl:if test="hpt_raidman_page/setting/remote_access='0'">
																	<xsl:attribute name="selected"/>
																</xsl:if>
																Enabled</option>
															</select>
														</td>


													</tr>
                                                    
                                                    <xsl:for-each select="hpt_raidman_page/setting/RebuildPriority">
									
												

												

													<tr>

														<td width="300px">Set Rebuild Priority:</td>

														<td>

														<select size="1" name="RebuildPriority" style="width:77px;">

																<option value="0">

																	<xsl:if test="../RebuildPriority=0">

																		<xsl:attribute name="selected"/>

																	</xsl:if>

																Lowest</option>

																<option value="25">

																	<xsl:if test="../RebuildPriority=25">

																		<xsl:attribute name="selected"/>

																	</xsl:if>

																Low</option>

																<option value="50">

																	<xsl:if test="../RebuildPriority=50">

																		<xsl:attribute name="selected"/>

																	</xsl:if>

																Medium</option>

																<option value="75">

																	<xsl:if test="../RebuildPriority=75">

																		<xsl:attribute name="selected"/>

																	</xsl:if>

																High</option>

																<option value="100">

																	<xsl:if test="../RebuildPriority=100">

																		<xsl:attribute name="selected"/>

																	</xsl:if>

																Highest</option>

														</select>

														</td>
													</tr>

												

									</xsl:for-each>
                                                    
                                                    
                                                    

													<tr>

													

														<td width="300px">Port Number:</td>

														<td>

															<input type="text" name="port" maxlength="5" style="width:77px;">

																<xsl:attribute name="value">

																	<xsl:value-of select="hpt_raidman_page/setting/server_port"/>

																</xsl:attribute>

																<xsl:if test="hpt_raidman_page/setting/server_port/@modify!=1">

																	<xsl:attribute name="disabled"/>

																</xsl:if>

															</input>

														</td>

													</tr>

												</table>

											

										</td>

									</tr>
									
                                    <tr><td><input type="submit" value="Submit"/></td></tr>
									</table>
									</form></td></tr>
                                    
                                     
                                    
                                    
                                    <tr>

										<td class="title"  width="{$pagewidth}"  align="center">Password Setting</td>

									</tr>
                                    
                                    
                                    <tr><td>
									<form name="passwordform" method="POST" onsubmit="return ExamPassword();">

												<input type="hidden" name="func" value="SetPassword"/>
									<table>
				    <tr>

										<td>

											
												<input type="hidden" name="func" value="SetPassword"/>

												<table cellpadding="2">

													<tr>

														<td width="300px">Password:</td>

														<td>

															<input type="password" name="password" maxlength="8" onkeydown="tip();"/>

														</td>

													</tr>

													<tr>

														<td width="300px">Confirm:</td>

														<td>

															<input type="password" name="confirm" maxlength="8"/>

														</td>

													</tr>

													

												</table>

											

										</td>

									</tr>
                                    <tr><td><input type="submit" value="Submit"/></td></tr>
                                    
                                    </table>
                        			</form>
                                    </td></tr>
                                    </table>
                                 </div>  
                                 
                                 
                                    
                                    
                                    <div >
                                    <xsl:if test="/hpt_raidman_page/setting/@email=-1">
										<xsl:attribute name="style">display:none;</xsl:attribute>
									</xsl:if>
                                    <table width="{$pagewidth}">
                                    <tr>

										<td class="title" width="{$pagewidth}" align="center">SMTP Setting</td>

									</tr>

									<tr>

										<td>

											<form name="smtpform" method="POST" onsubmit="return ExamSMTPSetting();">

												<input type="hidden" name="func" value="SetSmtp"/>

												<table cellpadding="2">

													<tr>

														<td>

															<input type="checkbox" name="enable" value="ON">

																<xsl:if test="hpt_raidman_page/setting/smtp/@enabled='1'">

																	<xsl:attribute name="checked"/>

																</xsl:if>

															</input>Enable Event Notification</td>
                                                            

														<td/>

													</tr>

													<tr>

														<td width="300px">Server Address (name or IP):</td>

														<td>

															<input type="text" name="smtpadd" value="{hpt_raidman_page/setting/smtp/server}" maxlength="63"/>

														</td>

													</tr>

													<tr>

														<td width="300px">Mail From (E-mail address):</td>

														<td>

															<input type="text" name="fromadd" value="{hpt_raidman_page/setting/smtp/from}" maxlength="63"/>

														</td>

													</tr>

													<tr>

														<td width="300px">Login Name:</td>

														<td>

															<input type="text" name="lognamedd" value="{hpt_raidman_page/setting/smtp/logname}" maxlength="63"/>

														</td>

													</tr>

													<tr>

														<td width="300px">Password:</td>

														<td>

															<input type="password" name="passdd"  maxlength="63"/>

														</td>

													</tr>

													<tr>

														<td width="300px">SMTP Port:</td>

														<td>

															<xsl:if test="count(hpt_raidman_page/setting/smtp/port) = 0">

																<input type="text" id="port" name="port" value="25" maxlength="5"/>

															</xsl:if>

															<xsl:if test="count(hpt_raidman_page/setting/smtp/port) > 0">
                                                            
															<input type="text" id="port" name="port" value="{hpt_raidman_page/setting/smtp/port}" maxlength="5"/>

															</xsl:if>

														</td>

													</tr>
													<tr>

														<td width="300px">Support SSL:</td>

														<td>
                                                        <xsl:if test="count(hpt_raidman_page/setting/smtp/port) > 0">
															<xsl:if test="hpt_raidman_page/setting/smtp/ssl = 1">
																<input id="ssl" type="checkbox" value="openssl" name="ssl" checked="checked" onclick="ssl_select();"/>
															</xsl:if>
															<xsl:if test="hpt_raidman_page/setting/smtp/ssl = 0">
																<input id="ssl" type="checkbox" value="openssl" name="ssl" onclick="ssl_select();"/>
															</xsl:if>
                                                        </xsl:if>
                                                        <xsl:if test="count(hpt_raidman_page/setting/smtp/port) = 0">
															<input id="ssl" type="checkbox" value="openssl" name="ssl" onclick="ssl_select();"/>
														</xsl:if>
                                                        
														</td>

													</tr>
                                                    
													<tr>

														<td/>

														<td>

															<input type="submit" name="submit" value="Change Setting"/>

														</td>

													</tr>

												</table>

											</form>

										</td>

									</tr>

									<tr>

										<td class="title" width="{$pagewidth}" align="center">Recipients</td>

									</tr>

									<tr>

										<td>

											<form name="recipientsform" method="POST" onsubmit="return ExamDeleteRecipient();">

												<table cellpadding="2" width="100%">

													<thead>

														<td class="head" style="padding-left:15px;">E-mail</td>

														<td class="head">Name</td>

														<td class="head">Event Level</td>

													</thead>



													<input type="hidden" name="func" value="DeleteRecipient"/>

													<xsl:for-each select="hpt_raidman_page/setting/recipients/recipient">

														<tr>

															<td>

																<input type="checkbox" name="check_{position()}" value="{email}"/>

																<xsl:value-of select="email"/>

															</td>

															<td>

																<xsl:value-of select="name"/>

															</td>

															<td>
	                                                            							<xsl:if test="information">
																	<xsl:value-of select="information"/>
																	<xsl:choose>
	                                                               						 	<xsl:when test="warning|error">,</xsl:when>
	                                                               						 	</xsl:choose>
	                                                               						 </xsl:if>
	                                                               						 
	                                                               						 <xsl:if test="warning">
																	<xsl:value-of select="warning"/>	
																	<xsl:choose>
	                                                               						 	<xsl:when test="error">,</xsl:when>
	                                                               						 	</xsl:choose>
	                                                                						</xsl:if>
	                                                                						
	                                                                						<xsl:if test="error">
																	<xsl:value-of select="error"/>
	                                                               						 </xsl:if>

															</td>

														</tr>

													</xsl:for-each>

													<tr>

														<td>

															<xsl:if test="count(hpt_raidman_page/setting/recipients/recipient)&gt;0">

																<input type="submit" name="submit" value="Delete"/>

															</xsl:if>

														</td>

														<td/>

														<td/>

													</tr>

												</table>

											</form>

										</td>

									</tr>

									<tr>

										<td class="title" width="{$pagewidth}" align="center">Add Recipient</td>

									</tr>

									<tr>

										<td>

											<form name="addrecipientform" method="POST" onsubmit="return ExamAddRecipient();">

												<table cellpadding="2" width="100%">

													<input type="hidden" name="func" value="AddRecipient"/>

													<tr>

														<td width="300px">E-mail:</td>

														<td>

															<input type="text" name="email" maxlength="63"/>

														</td>

													</tr>

													<tr>

														<td width="300px">Name:</td>

														<td>

															<input type="text" name="name" maxlength="63"/>

														</td>

													</tr>

													<tr>

														<td width="300px">Event Level:</td>

														<td>

															<input type="checkbox" name="check_info" value="information"/>Information

															<input type="checkbox" name="check_warn" value="warning"/>Warning

															<input type="checkbox" name="check_error" value="error"/>Error</td>

													</tr>

													<tr>

														<td>

															<input type="submit" name="AddSubmit" value="Add"/>

															<input type="submit" name="TestSubmit" value="Test"/>

														</td>

														<td/>

													</tr>

												</table>

											</form>

										</td>

									</tr>	
                                    </table>									
									</div>
								</div>
                                </td></tr>

						<tr >

							<td colspan="2">

								<xsl:call-template name="DrawPageTail"/>

							</td>

						</tr>

					</table>

				</p>

			</body>

		</html>

	</xsl:template>

</xsl:stylesheet>
