<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:variable name="thecolor">
		<xsl:if test="count(hpt_raidman_page/dsk_info/tempstatus)&gt;0">
		    <xsl:if test="count(hpt_raidman_page/dsk_info/tempstatus/@critical)&gt;0">
			1
		    </xsl:if>
		    <xsl:if test="count(hpt_raidman_page/dsk_info/tempstatus/@critical)=0">
	              0
		    </xsl:if>
		</xsl:if>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">var IE = (document.all != null);
			var theFTemparature =new Array();
			var thecolor=new Array();  
			   
			   
	function Smart_Enable(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="EnableSmart";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Smart_Enable2(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="SCSIEnableSmart";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function HidePage(){
		var length = document.getElementsByTagName("div").length;
		for(i=1;i&lt;length;i++){
			var id = document.getElementsByTagName("div")[i].id;
			if(id=="topimg")
				;
			else
				document.getElementsByTagName("div")[i].style.display = "none";
		}
	}
	function ExamThreshold(){
				var theform = document.forms['thresholdform'];
				if(theform.elements[1].value == ""){
					alert("Please input the threshold value.");
					return false;
				}
				if((theform.elements[1].value &lt; 68) || (theform.elements[1].value &gt; 212)){
					alert("Threshold value should be in the range 68 to 212.");
					return false;
				}
				return true;	
			}
	function ShowSmartPopup(id){
		HidePage();
		var tmpObj;
  		if(IE) {
    		tmpObj = eval('document.all.' + id + '.style');
  		} else {
			tmpObj = document.getElementById(id).style;
  		}
		tmpObj.display = "block";
	}
	function ConvertTemparature(tdEle)
	{
	       var position=1;
	       var index;
	       var temObj;
	       if(IE)
	          index=tdEle.innerText.indexOf('F');
	       else 
	          index=tdEle.textContent.indexOf('F');    
	       if(index!=-1){ 
	            if(IE)
	               tdEle.innerText="&#176;C";
	            else tdEle.textContent="&#176;C";   
	            temObj=eval('document.getElementById("'+'diskInfo_'+position+'")');
	            while(temObj!=null)
	            {
	               if(IE){
	                   if(!isNaN(temObj.innerText)){
	                       temObj.innerText=Math.ceil(((theFTemparature[position]-32)*5/9)).toString();  
	                   }      
	               }
	               else if(!isNaN(temObj.textContent)){
	                        temObj.textContent=Math.ceil(((theFTemparature[position]-32)*5/9)).toString();   
	                     }      
	               temObj.style.color=thecolor[position];  
	               position++; 
	               temObj=eval('document.getElementById("'+'diskInfo_'+position+'")'); 
	       	    }	       	    
	       	} 
	       	else{
	       	    if(IE)
	       	        tdEle.innerText="&#176;F";
	       	    else 
	       	        tdEle.textContent="&#176;F";    
	       	    temObj=eval('document.getElementById("'+'diskInfo_'+position+'")');
	            while(temObj!=null)
	            {  
	               if(IE){
	                   if(!isNaN(temObj.innerText))
	                       temObj.innerText=theFTemparature[position];
	               }
	               else if(!isNaN(temObj.textContent))
	                         temObj.textContent=theFTemparature[position];
	               temObj.style.color=thecolor[position]; 
	                       
	               position++; 
	               temObj=eval('document.getElementById("'+'diskInfo_'+position+'")'); 
	       	    }
	       }	    	
	  
	   return false;
	}    
	</SCRIPT>
    		<title>HighPoint RAID Management -- SHI</title>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
                        <xsl:if test="@SM2=1">
						<tr >
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
									<xsl:with-param name="topmenuech">shi.cgi</xsl:with-param>
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>	
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
							<tr> 
						<td>	
							<table align="right">
								<tr>
									<td id="shibutton"  onmouseout="OutItem2sm();return true;" onmouseover="OverItem2sm();return true;" align="right" onclick="go_page('task')" style="cursor: pointer; text-align: center"><font class="labelbtn" size="4" style="TEXT-DECORATION: underline; FONT-WEIGHT: bold;" color="#0000ff" >Schedule</font></td>
								</tr>
							</table>
						</td>
						</tr>
						<tr>
							<td class="title" align="center">Storage Health Inspector(SHI)</td>
						</tr>
					
						<tr>
							<td class="content" >
								<table cellpadding="0" align="center" width="100%" border="0" cellspacing="0">
									<tr>
										<td class="content" ><font size="2">
												<table ><tr><td>Controller ID
												</td></tr></table>
										</font></td>
										<td class="content" ><font size="2">
											<table ><tr><td>Port#
												</td></tr></table>
										</font></td>
										<td class="content"><font size="2">
											<table ><tr><td>Device Serial Number
												</td></tr></table>
										</font></td>
										<td class="content"><font size="2">
											<table ><tr><td>RAID
												</td></tr></table>
										</font></td>
										<td class="labelbtn" width="40" align="center"><font size="2">
											<table ><tr><td style="cursor: pointer" onClick="ConvertTemparature(this)" onmouseover='javascript:this.style.backgroundColor="#008080"; return false; ' onmouseout='javascript:this.style.backgroundColor="#FFFFFF";return false;'>&#176;F
												</td></tr></table>
												
										</font></td>
										<td class="content" align="center"><font size="2">
										<table>
											<tr>
												<td align="center">Bad Sectors</td>
											</tr>
											<tr>
												<td>Found &amp; Repaired</td>
											</tr>
										</table>
										</font></td>
										<td class="content">
											<font size="2">
												<table ><tr><td>Device Status
												</td></tr></table>
											</font>
										</td>
									</tr>
										<xsl:for-each select="hpt_raidman_page/dsk_info">
											<tr>
											<xsl:if test="count(smart_info2)&gt;0">
												<xsl:attribute name="bgcolor">#F0F0F0</xsl:attribute>
											</xsl:if>
											<td align="left" valign="center">
												<xsl:value-of select="ctlid"/>
											</td>
											<td valign="center">
												<xsl:value-of select="port"/>
											</td>
											<td valign="center">
												<xsl:value-of select="dskmodel"/>
											</td>
											<td valign="top">
											<table border="0">
												<xsl:if test="count(raidmember/member)=0">
												<tr>
													<td valign="center">
														None
													</td>
												</tr>	
												</xsl:if>
												<xsl:if test="count(raidmember/member)&gt;0">
												<xsl:for-each select="raidmember/member">
												<tr>
													<td valign="center">
														<xsl:value-of select="."/>
													</td>
												</tr>	
												</xsl:for-each>
												</xsl:if>	
											</table>
											</td>
											<td id="diskInfo_{position()}" align="center" valign="center">
												<font size="2">
												<xsl:if test="count(tempstatus)&gt;0">
													<xsl:if test="count(tempstatus/@critical)&gt;0">
														<xsl:attribute name="color">#ff0000</xsl:attribute>
													</xsl:if>
													<xsl:if test="count(tempstatus/@critical)=0">
														<xsl:attribute name="color">#00ff00</xsl:attribute>
													</xsl:if>
													<xsl:value-of select="(tempstatus/value)"/>
												</xsl:if>
													<xsl:if test="count(tempstatus/value)=0">
													<font color="#ff0000">Failed</font>
													</xsl:if>
												</font>
											</td>
											<td align="center" valign="center">
												<font size="2">
												<xsl:if test="count(badsector)&gt;0">
													<xsl:if test="count(badsector/@critical)&gt;0">
														<xsl:attribute name="color">#ff0000</xsl:attribute>
													</xsl:if>
													<xsl:value-of select="(badsector/value)"/>
												</xsl:if>
												</font>
												<xsl:if test="count(badsector)=0">
													None
												</xsl:if>

											</td>
                                                                                   


											<td>
												<table border="0" width="100%">
													<tr>
														<td align="left" valign="top">
															<font size="2">
															<xsl:if test="count(smart_info)&gt;0">
															<xsl:if test="count(smart_info/status)&gt;0">
															<xsl:if test="smart_info/status!='OK'">
																	<xsl:attribute name="color">#ff0000</xsl:attribute>
															</xsl:if>
																<xsl:value-of select="smart_info/status"/>
															</xsl:if>
															
															<xsl:if test="count(smart_info/status)=0">
																<xsl:attribute name="color">#ff0000</xsl:attribute>
																Failed
															</xsl:if>
															</xsl:if>
															<xsl:if test="count(smart_info2)&gt;0">
																<xsl:if test="smart_info2/status!='OK'">
																	<xsl:attribute name="color">#ff0000</xsl:attribute>
																</xsl:if>
																<xsl:value-of select="smart_info2/status"/>
															</xsl:if>
															</font>
														</td>
														<xsl:if test="count(smart_info2)&gt;0">
														<td   align="right">
															<table border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																		<xsl:attribute name="id"><xsl:value-of select="@id"/>_Details</xsl:attribute>
																		<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																		<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																		<xsl:attribute name="onclick">ShowSmartPopup('<xsl:value-of select="@id"/>_details')</xsl:attribute>
																		<font class="labelbtn"><u>SMART</u></font>
																	</td>
																</tr>
															</table>
														</td>
														</xsl:if>
														<xsl:if test="count(smart_info/enable)&gt;0">
														<td   align="right">
															<table border="0" cellspacing="0" cellpadding="0">
																<tr>
																	<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																		<xsl:attribute name="id"><xsl:value-of select="@id"/>_Details</xsl:attribute>
																		<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																		<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_Details',1);return true;</xsl:attribute>
																		<xsl:attribute name="onclick">ShowSmartPopup('<xsl:value-of select="@id"/>_details')</xsl:attribute>
																		<font class="labelbtn"><u>SMART</u></font>
																	</td>
																</tr>
															</table>
														</td>
														</xsl:if>
													</tr>
												</table>
											</td>	
											</tr>
										</xsl:for-each>
								</table>
							</td>
						</tr>
						<xsl:for-each select="hpt_raidman_page/dsk_info">
						<xsl:for-each select="smart_info">
						<tr>
							<td class="content">
								<div style="display:none"><xsl:attribute name="id"><xsl:value-of select="../@id"/>_details</xsl:attribute>
								<table>
									<tr>
										<td>
										<table cellpadding="3" cellspacing="5">
										<tr>
											<td class="diskattrname" height="30">Device Name</td>
											<td>
												<xsl:value-of select="disk_name"/>
											</td>
										</tr>
										<tr>
											<td class="diskattrname">Model Number</td>
											<td>
											<xsl:value-of select="model"/>
											</td>
										</tr>
										<tr>
											<td class="diskattrname">Temperature Celsius</td>
											<td>
												<xsl:value-of select="temperature"/>
											</td>
										</tr>
										<tr>
											<td class="diskattrname">S.M.A.R.T</td>
											<td>
											<xsl:if test="enable='true'">Enabled
												<button onclick="Smart_Enable('{disk_id}')">Disable</button>
											</xsl:if>
											<xsl:if test="enable='false'">Disabled
												<button onclick="Smart_Enable('{disk_id}')">Enable</button>
											</xsl:if>
											</td>
										</tr>
										<!--><tr>
											<td class="diskattrname">Status</td>
											<td>
											<xsl:if test="status='OK'">
												<font class="normal">
													<xsl:value-of select="status"/>
												</font>
											</xsl:if>
											<xsl:if test="status!='OK'">
												<font class="normal">
													<xsl:value-of select="status"/>
												</font>
											</xsl:if>
											</td>
										</tr><-->
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:if test="enable='true'">
								<xsl:if test="status='OK'">
									<xsl:apply-templates select="."/>
								</xsl:if></xsl:if>
							</td>
						</tr>				
						</table></div></td></tr></xsl:for-each>
						
						<xsl:for-each select="smart_info2">
						<tr>
							<td class="content">
								<div style="display:none"><xsl:attribute name="id"><xsl:value-of select="../@id"/>_details</xsl:attribute>
								<table>
									<tr>
										<td>
										<table cellpadding="3" cellspacing="5">
										<tr>
											<td class="diskattrname" height="30">Device Name</td>
											<td>
												<xsl:value-of select="disk_name"/>
											</td>
										</tr>
										<tr>
											<td class="diskattrname">Model Number</td>
											<td>
											<xsl:value-of select="model"/>
											</td>
										</tr>
										<xsl:if test="count(ascStr)&gt;0">
										<tr>
											<td class="diskattrname"><font color="#ff0000">Informational Exceptions </font></td>
											<td>
												<font color="#ff0000">
													<xsl:value-of select="ascStr"/>
												</font>
											</td>
										</tr>
										</xsl:if>
										<tr>
											<td class="diskattrname">Exception Control and Warning</td>
											<td>
											<xsl:if test="enable='true'">Enabled
												<!--><button onclick="Smart_Enable2('{disk_id}')">Disable</button><-->
											</xsl:if>
											<xsl:if test="enable='false'">Disabled
												<!--><button onclick="Smart_Enable2('{disk_id}')">Enable</button><-->
											</xsl:if>
											</td>
										</tr>
										<!--><tr>
											<td class="diskattrname">Status</td>
											<td>
											<xsl:if test="status='OK'">
												<font class="normal">
													<xsl:value-of select="status"/>
												</font>
											</xsl:if>
											<xsl:if test="status!='OK'">
												<font class="normal">
													<xsl:value-of select="status"/>
												</font>
											</xsl:if>
											</td>
										</tr><-->
								</table>
							</td>
						</tr>
						<tr>
							<td>
									<xsl:apply-templates select="."/>
							</td>
						</tr>
						
						
						</table></div></td></tr></xsl:for-each>

						</xsl:for-each>
						<script language="javascript">
						   var index=1;
						   var temObj;
						   var tempthreshold=<xsl:value-of select="hpt_raidman_page/tempthreshold"/>;
			             temObj=eval('document.getElementById("'+'diskInfo_'+index+'")');
	            while(temObj!=null)
	            {
	               if(IE){
	                   if(!isNaN(temObj.innerText)){
	                       theFTemparature[index]=temObj.innerText;
	                       thecolor[index]=parseInt(temObj.innerText)&lt;(parseInt(tempthreshold))?"#00FF00":"#FF0000"; 
	                   }      
	               }
	               else if(!isNaN(temObj.textContent)){
	                        theFTemparature[index]=temObj.textContent;
	                        thecolor[index]=parseInt(temObj.textContent)&lt;(parseInt(tempthreshold))?"#00FF00":"#FF0000";
	               } 
	               
	               index++; 
	               temObj=eval('document.getElementById("'+'diskInfo_'+index+'")'); 
	       	    }	       	  </script>

						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="devid" value="Device ID"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
									<td class="title" align="center">HDD Temperature Threshold</td><td/>
									</tr>
									<tr>
										<td class="content">
											<form name="thresholdform" method="POST" onsubmit="return ExamThreshold();">
											<input type="hidden" name="func" value="SetThreshold"/>
											<table>
											<xsl:for-each select="hpt_raidman_page/tempthreshold">
											<tr>	 
												<td>Set harddisk temperature threshold (F):</td>
												<td>
													<input type="text" name="temhold" maxlength="3">
														<xsl:attribute name="value">
															 <xsl:value-of select="."/>
														 </xsl:attribute>
													 </input>
												</td>
												<td><input type="submit" name="submit" value=" Set "/></td>
											</tr>
											</xsl:for-each>
											</table>				
										
											</form>
										</td>
									</tr>		
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="smart_info">
		<table id="smartattrtable" width="{$pagewidth}">
			<tr>
				<td class="title" align="center">S.M.A.R.T Attributes</td>
			</tr>
			<tr>
				<td class="content">
					<table width="100%" cellpadding="4">
						<tr>
							<td class="diskattrname">ID</td>
							<td class="diskattrname">Name</td>
							<td class="diskattrname">Threshold</td>
							<td class="diskattrname">Worst</td>
							<td class="diskattrname">Value</td>
							<td class="diskattrname">Status</td>
						</tr>
						<xsl:for-each select="attribute">
							<tr>
								<td>
									<xsl:value-of select="@id"/>
								</td>
								<td>
									<xsl:value-of select="name"/>
								</td>
								<td>
									<xsl:value-of select="threshold"/>
								</td>
								<td>
									<xsl:value-of select="worst"/>
								</td>
								<td>
									<xsl:value-of select="value"/>
								</td>
								<td>
									<xsl:if test="@status='normal'">
										<font class="normal">OK</font>
									</xsl:if>
									<xsl:if test="@status!='normal'">
										<font class="critical">FAILED</font>
									</xsl:if>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</td>
			</tr>
			
		</table>
	</xsl:template>
	<xsl:template match="smart_info2">
		<table id="smartattrtable" width="{$pagewidth}">
			<tr>
				<td class="title" align="center">SCSI  S.M.A.R.T Attributes</td>
			</tr>
			<tr>
				<td class="content">
					<table width="100%" cellpadding="4">
						<tr>
							<td class="diskattrname">ID</td>
							<td class="diskattrname">Name</td>
							<td class="diskattrname">Value</td>
						</tr>
						<xsl:for-each select="attribute">
							<tr>
								<td>
									<xsl:value-of select="@id"/>
								</td>
								<td>
									<xsl:value-of select="name"/>
								</td>
								<td>
									<xsl:value-of select="value"/>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</td>
			</tr>
			
		</table>
	</xsl:template>
</xsl:stylesheet>