<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">JBOD_INDEX = 0;
RAID0_INDEX = 1;
RAID1_INDEX = 2;
RAID5_INDEX = 3;
RAID10_INDEX = 4;
RAID50_INDEX = 5;
RAID6_INDEX = 6;
RAID3_INDEX= 7;
TARGET_TYPE_INDEX=3;
CACHE_INDEX=5;
SELECT_INDEX=7;
function selectall(){
	var theform = document.transform;
	for(i=0;i&lt;theform.elements.length;i++){
		if(theform.elements[i].type=="checkbox")
			theform.elements[i].checked=true;
  	}
	
}
function CreateBlocksizeOption(){
        raidtype = "<xsl:value-of select="hpt_raidman_page/hpt_raid/transform/target_type"/>";
	if(raidtype == "RAID 3" || raidtype == "RAID 1" || raidtype == "JBOD(Volume)")
		return ;
	minBlockSize=<xsl:value-of select="hpt_raidman_page/minblocksize"/>;
	maxBlockSize=<xsl:value-of select="hpt_raidman_page/maxblocksize"/>;
	index=0;
	for(i=minBlockSize;i&lt;maxBlockSize+1;i++){
		blocksize = Math.pow(2,i-1);
		blocksize += "K";
		if(blocksize=="64K")
			document.forms[0].blocksize.options[index] =  new Option(blocksize,blocksize,true,true);
		else
			document.forms[0].blocksize.options[index] =  new Option(blocksize,blocksize);
		index++;
	}
}        
function ExamCreateTransform(){
  with (document.forms[0]){
 	//end if
	i=SELECT_INDEX;
	selectcount=0;
    	found=0;
    while(elements[i]!=undefined){
	if (elements[i].type!="checkbox"){ 
		if(found==1)break;
	}else{
		found = 1;
      		if (elements[i].checked) selectcount++;
	}
	i++;
    }
    if(selectcount == 0){
        alert("Please select a disk.");
        document.MM_returnValue = false;
        return false;
    }
    //end while
    if(elements[TARGET_TYPE_INDEX].value=="RAID 1"){
	   if(selectcount!=2){
		   alert("RAID 1 array can only have 2 members.");
		   document.MM_returnValue = false;
           return false;
       }
	}
    if(elements[TARGET_TYPE_INDEX].value=="RAID 0"){
	   if(selectcount&lt;2){
		   alert("Need at least 2 disks to create the RAID 0 array.");
		   document.MM_returnValue = false;
           return false;
       }
	}
	if(elements[TARGET_TYPE_INDEX].value=="RAID 5"){
	   if(selectcount&lt;3){
		   alert("Need at least 3 disks to create the RAID 5 array.");
		   document.MM_returnValue = false;
           return false;
       }
	}
	if(elements[TARGET_TYPE_INDEX].value=="RAID 3"){
	   if(selectcount&lt;3){
		   alert("Need at least 3 disks to create the RAID 3 array.");
		   document.MM_returnValue = false;
           return false;
       }
	}
	if(elements[TARGET_TYPE_INDEX].value=="RAID 6"){
	   if(selectcount&lt;4){
		   alert("Need at least 4 disks to create the RAID 6 array.");
		   document.MM_returnValue = false;
           return false;
       }
	}
	if(elements[TARGET_TYPE_INDEX].value=="RAID 1/0"){
		if(selectcount&lt;4){
	        alert("Need more disks to create the RAID 1/0 array.");
	        document.MM_returnValue = false;
	        return false;
        }
        if(selectcount%2!=0){
		   alert("RAID 1/0 array can't be created with odd disks.");
           document.MM_returnValue = false;
		   return false;
		}
    }
    if(elements[TARGET_TYPE_INDEX].value=="RAID 5/0"){
		if(selectcount&lt;6){
	        alert("Need more disks to create the RAID 5/0 array.");
	        document.MM_returnValue = false;
	     	   return false;
        	}
        	var memcnt = elements[TARGET_TYPE_INDEX+4].options[elements[TARGET_TYPE_INDEX+4].selectedIndex].text;
		if((selectcount / memcnt) &lt; 2 || (selectcount % memcnt) != 0){
		    alert("Number of selected disks must be multiple of number of RAID 5 member disks.");
		    document.MM_returnValue = false;
		    return false;
	        }
    }
  }
  document.MM_returnValue = true;
  return true;
}</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init();CreateBlocksizeOption();">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<form name="transform" action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST" onsubmit="return ExamCreateTransform();">
									<input type="hidden" name="func" value="CreateTransform"/>
									<input type="hidden" name="sourceid" value="{hpt_raidman_page/hpt_raid/transform/source_id}"/>
									<table id="createtransformtable" width="{$pagewidth}" border="0">
										<tr>
											<td class="title" align="center">Array transform/transforming</td>
										</tr>
										<tr>
											<td class="content">
												<table border="0" cellspacing="20">
													<tr>
														<td width="100">Source Name:</td>
														<td>
															<input name="sourcename" type="text" size="16" value="{hpt_raidman_page/hpt_raid/transform/source_name}" disabled="true"/>
														</td>
													</tr>
													<tr>
														<td width="100">Target Type:</td>
														<td>
															<!--select size="1" name="arraytype">
																<option selected="true">
																	<xsl:value-of select="hpt_raidman_page/hpt_raid/transform/target_type"/>
																</option>
															</select-->
															<input type="text" name="arraytype" value="{hpt_raidman_page/hpt_raid/transform/target_type}" readonly="true" size="16"/>
														</td>
													</tr>
													<tr>
														<td>Target Name:</td>
														<td>
															<input type="text" name="arrayname" size="16" maxlength="15" value="{hpt_raidman_page/hpt_raid/transform/default_target_name}"/>
														</td>
													</tr>
													<xsl:if test="hpt_raidman_page/driverCapV2&lt;1">
													        <xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 3'">
															<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<option selected="true">Write Back</option>
																		<option>Write Through</option>
																	</select>
																</td>
															</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 5'">
															<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<option selected="true">Write Back</option>
																		<option>Write Through</option>
																	</select>
																</td>
															</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 6'">
														<tr>
															<td>Cache Policy:</td>
															<td>
																<select size="1" name="cache">
																	<option selected="true">Write Back</option>
																	<option>Write Through</option>
																</select>
															</td>
														</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 5/0'">
														<tr>
															<td>Cache Policy:</td>
															<td>
																<select size="1" name="cache">
																	<option selected="true">Write Back</option>
																	<option>Write Through</option>
																</select>
															</td>
														</tr>
														</xsl:if>
													</xsl:if>
													<xsl:if test="hpt_raidman_page/driverCapV2&gt;0">
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='JBOD(Volume)'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raidjb/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raidjb/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raidjb/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 0'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raid0/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid0/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid0/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 1'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raid1/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid1/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid1/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 3'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raid3/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid3/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid3/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 5'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raid5/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid5/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid5/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 1/0'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raid10/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid10/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid10/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
														
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 5/0'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raid50/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid50/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid50/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
														<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 6'">
														<tr>
																<td>Cache Policy:</td>
																<td>
																	<select size="1" name="cache">
																		<xsl:if test="hpt_raidman_page/cacheindex/raid6/back&gt;0">
																			<option  selected="true">Write Back</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid6/through&gt;0">
																			<option >Write Through</option>
																		</xsl:if>
																		<xsl:if test="hpt_raidman_page/cacheindex/raid6/none&gt;0">
																			<option >None</option>
																		</xsl:if>
																	</select>
																</td>
														</tr>
														</xsl:if>
													</xsl:if>
												        <xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type!='RAID 1'">
                                                                                                        <xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type!='JBOD(Volume)'">
                                                                                                        <xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type!='RAID 3'">
 
                                                                                                        <tr>
                                                                                                             <td>Block Size:</td> 
                                                                                                             <td>
                                                                                                                  <select name="blocksize" size="1" /> 
                                                                                                             </td>
                                                                                                        </tr>
                                                                                                        </xsl:if>
                                                                                                        </xsl:if>
                                                                                                        </xsl:if>
													<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type='RAID 5/0'">
														<tr>
														<td>Number of RAID5 member disks:</td>
														<td>
															<xsl:for-each select="hpt_raidman_page/hpt_raid/disks">			
															<select size="1" name="R5mem">
																<xsl:if test="count(disk)&lt;6">
																<option select="true">-1</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;5">
																<option select="true">3</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;7">
																<option>4</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;9">
																<option>5</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;11">
																<option>6</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;13">
																<option>7</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;15">
																<option>8</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;17">
																<option>9</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;19">
																<option>10</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;21">
																<option>11</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;23">
																<option>12</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;25">
																<option>13</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;27">
																<option>14</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;29">
																<option>15</option>
																</xsl:if>
																<xsl:if test="count(disk)&gt;31">
																<option>16</option>
																</xsl:if>								
															</select>
															</xsl:for-each>
														</td>
													</tr>
													</xsl:if>
													<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type!='RAID 5/0'">
														<input type="hidden" name="stuffing" disabled="true" value="stuffing"/>
													</xsl:if>
													<xsl:if test="hpt_raidman_page/hpt_raid/transform/target_type!='RAID 5' and hpt_raidman_page/hpt_raid/transform/target_type!='RAID 6' and hpt_raidman_page/hpt_raid/transform/target_type!='RAID 5/0' and hpt_raidman_page/driverCapV2&lt;1">
														<input type="hidden" disabled="true"/>	
													</xsl:if>
													<tr>
														<td>Available Disks:</td>
														<td>
															<table border="0">
																<thead>
																	<td/>
																	<td/>
																	<td>Location</td>
																	<td>Model</td>
																	<td>Capacity</td>
																	<td>Max Free</td>
																</thead>
																<button style="width:100;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" onclick="selectall();return false;" name="selectallmem">Select All</button>
																<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
																	<tr>
																		<td>
																			<input type="checkbox" name="check_{position()}" value="{@id}"/>
																		</td>
																		<xsl:call-template name="DrawDiskInfoRowCell">
																			<xsl:with-param name="simple">true</xsl:with-param>
																		</xsl:call-template>
																	</tr>
																</xsl:for-each>
															</table>
														</td>
													</tr>
													<tr>
														<td width="100">Capacity:(According to the max free space on the selected disks and source array capacity(<xsl:value-of select="hpt_raidman_page/hpt_raid/transform/source_capacity"/>MB))</td>
														<td>
															<input size="16" name="capacity" value="Maximum"/>(MB)</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td>
												<p align="center">
													<input type="submit" value="Create" name="Create"/>
												</p>
											</td>
										</tr>
									</table>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>