<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">function Devman_UnplugDisk(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="UnplugDisk";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_Rescan(){
		var theform = document.forms['opform'];
		theform.elements[0].value="Rescan";
		theform.submit();
		return true;
	}
	function Devman_ShowSmartPage(id){
		document.location.href="devman.cgi?func=ShowSmartInfo&amp;userid="+userid+"&amp;devid="+id;
		return true;
	}
	function Devman_ShowInitDisksPage(){
		document.location.href="devman.cgi?func=ShowInitDisks&amp;userid="+userid;
		return true;
	}
	function Devman_ChangeReadAhead(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeReadAhead";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeWriteCache(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeWriteCache";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeTCQ(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeTCQ";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeNCQ(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeNCQ";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function checkfile(formname,version){
		var upgradeform = document.forms[formname];
		if(upgradeform.elements["upgradefirmwarefile"].value==""){
      		alert("Please input file!");
	  		return false;
    	}
    	var filename = upgradeform.elements["upgradefirmwarefile"].value.toLowerCase();
		var filext = filename.substring(filename.length-3,filename.length);
		if(version == 3)
		if(filext!="blf" ) {
			alert("Wrong file type!");
			return false;
		}
		upgradeform.elements['submit'].disabled = true;
    	return true;
	}
</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>

						<tr>
							<td>
								<table id="devicemantable" width="{$pagewidth}">
									<tr>
										<td>
											<button onclick="Devman_Rescan()">Rescan Devices</button>
											<button onclick="Devman_ShowInitDisksPage();">Initialize Devices</button>
										</td>
									</tr>
									<xsl:for-each select="hpt_raidman_page/hpt_raid/controllers/controller">
										<tr>
											<td height="24"></td>
										</tr>
										<tr>
											<td class="title" align="center">Controller <xsl:value-of select="position()"/>  (<xsl:value-of select="product"/> <xsl:text>&#160;&#160;&#160;</xsl:text> <xsl:value-of select="biosVer"/>)</td>
										</tr>
										<tr>
											<td class="content">
												<table width="100%" cellpadding="2">
													<xsl:for-each select="bus/disk">
														<xsl:if test="position()&gt;1">
															<tr>
																<td height="4" class="title"/>
																<td class="title"/>
																<td class="title"/>
																<td class="title"/>
																<td class="title"/>
															</tr>
														</xsl:if>
														<tr>
															<td>
																<xsl:call-template name="DrawDevImgTable"/>
															</td>
															<td class="diskattrname">Model</td>
															<td>
																<xsl:value-of select="Rmodel"/>
															</td>
															<td class="diskattrname">Read Ahead</td>
															<xsl:if test="count(read_ahead)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="read_ahead"/>
																			</td>
																			<td>
																				<table border="0" cellspacing="0" cellpadding="0">
																					<tr>
																						<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																							<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeReadAhead</xsl:attribute>
																							<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeReadAhead',1);return true;</xsl:attribute>
																							<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeReadAhead',1);return true;</xsl:attribute>
																							<xsl:attribute name="onclick">Devman_ChangeReadAhead("<xsl:value-of select="@id"/>")</xsl:attribute>
																							<font class="labelbtn"><u>Change</u></font>
																						</td>
																					</tr>
																				</table>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(read_ahead)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td>
																<xsl:value-of select="name"/>
															</td>
															<td class="diskattrname">Revision</td>
															<td>
																<xsl:value-of select="revision"/>
															</td>
															
															<td class="diskattrname">Write Cache</td>
															<xsl:if test="count(write_cache)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="write_cache"/>
																			</td>
																			<td>
																				<table border="0" cellspacing="0" cellpadding="0">
																					<tr>
																						<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																							<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeWriteCache</xsl:attribute>
																							<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeWriteCache',1);return true;</xsl:attribute>
																							<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeWriteCache',1);return true;</xsl:attribute>
																							<xsl:attribute name="onclick">Devman_ChangeWriteCache("<xsl:value-of select="@id"/>")</xsl:attribute>
																							<font class="labelbtn"><u>Change</u></font>
																						</td>
																					</tr>
																				</table>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(write_cache)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td>
																<xsl:for-each select="operation">
																	<xsl:if test="@id='UnplugDisk'">
																		<table border="0" cellspacing="0" cellpadding="0">
																			<tr>
																				<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																					<xsl:attribute name="id"><xsl:value-of select="../@id"/>_Unplug</xsl:attribute>
																					<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="../@id"/>_Unplug',1);return true;</xsl:attribute>
																					<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="../@id"/>_Unplug',1);return true;</xsl:attribute>
																					<xsl:attribute name="onclick">Devman_UnplugDisk("<xsl:value-of select="../@id"/>")</xsl:attribute>
																					<font class="labelbtn"><u>Unplug</u></font>
																				</td>
																			</tr>
																		</table>
																	</xsl:if>
																</xsl:for-each>
															</td>
															<td class="diskattrname">Location</td>
															<td>
																<xsl:value-of select="location"/>
															</td>
															<td class="diskattrname">TCQ</td>
															<xsl:if test="count(tcq)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="tcq"/>
																			</td>
																			<td>
																				<table border="0" cellspacing="0" cellpadding="0">
																					<tr>
																						<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																						<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeTCQ</xsl:attribute>
																						<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeTCQ',1);return true;</xsl:attribute>
																						<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeTCQ',1);return true;</xsl:attribute>
																						<xsl:attribute name="onclick">Devman_ChangeTCQ("<xsl:value-of select="@id"/>")</xsl:attribute>
																						<font class="labelbtn"><u>Change</u></font>
																						</td>
																					</tr>
																				</table>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(tcq)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td>
																<xsl:for-each select="operation">
																	<xsl:if test="@id='ShowSmartInfo'">
																		<table border="0" cellspacing="0" cellpadding="0">
																			<tr>
																				<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																				<xsl:attribute name="id"><xsl:value-of select="../@id"/>_Smart</xsl:attribute>
																				<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="../@id"/>_Smart',1);return true;</xsl:attribute>
																				<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="../@id"/>_Smart',1);return true;</xsl:attribute>
																				<xsl:attribute name="onclick">Devman_ShowSmartPage("<xsl:value-of select="../@id"/>")</xsl:attribute>
																				<font class="labelbtn"><u>SMART</u></font>
																				</td>
																			</tr>
																		</table>
																	</xsl:if>
																</xsl:for-each>
															</td>
															<td class="diskattrname">Capacity</td>
															<td>
																<xsl:value-of select="capacity"/>
															</td>
															<td class="diskattrname">NCQ</td>
															<xsl:if test="count(ncq)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="ncq"/>
																			</td>
																			<td>
																				<table border="0" cellspacing="0" cellpadding="0">
																					<tr>
																						<td style="cursor: pointer; text-align: center" bgcolor="{$labelbtnbgcolor}">
																						<xsl:attribute name="id"><xsl:value-of select="@id"/>_ChangeNCQ</xsl:attribute>
																						<xsl:attribute name="onmouseout">OutLabelBtn('<xsl:value-of select="@id"/>_ChangeNCQ',1);return true;</xsl:attribute>
																						<xsl:attribute name="onmouseover">OverLabelBtn('<xsl:value-of select="@id"/>_ChangeNCQ',1);return true;</xsl:attribute>
																						<xsl:attribute name="onclick">Devman_ChangeNCQ("<xsl:value-of select="@id"/>")</xsl:attribute>
																						<font class="labelbtn"><u>Change</u></font>
																						</td>
																					</tr>
																				</table>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(ncq)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td/>
															<td class="diskattrname">Max Free</td>
															<td>
																<xsl:value-of select="max_free"/>
															</td>
															<td class="diskattrname">Status</td>
															<td>
																<xsl:value-of select="flags/@des"/>
															</td>
														</tr>
														<tr>
															<td/>
															<td class="diskattrname">Serial Number</td>
															<td>
																<xsl:value-of select="SerialNum"/>
															</td>
														</tr>
													</xsl:for-each>
												</table>
											</td>
										</tr>
										<xsl:for-each select="RebuildPriority">
											<tr>
												<td class="title" align="center">Rebuild Priority  (Controller <xsl:value-of select="position()"/>)</td>
												</tr>
												<tr>
													<td class="content">
													<form name="portform" method="POST">
														<input type="hidden" name="func" value="SetRebuildPriority"/>
														<input type="hidden" name="conid" value="{@conid}"/>
															<table cellpadding="2">
															<tr>
														<td >Set Rebuild Priority:</td>
															<td>
													<select size="1" name="RebuildPriority">
														<option value="0">
														<xsl:if test="../RebuildPriority=0">
													<xsl:attribute name="selected"/>
													</xsl:if>
													Lowest</option>
													<option value="25">
													<xsl:if test="../RebuildPriority=25">
													<xsl:attribute name="selected"/>
													</xsl:if>
													Low</option>
													<option value="50">
													<xsl:if test="../RebuildPriority=50">
														<xsl:attribute name="selected"/>
													</xsl:if>
														Medium</option>
													<option value="75">
														<xsl:if test="../RebuildPriority=75">
													<xsl:attribute name="selected"/>	
													</xsl:if>
														High</option>
													<option value="100">
														<xsl:if test="../RebuildPriority=100">
													<xsl:attribute name="selected"/>
													</xsl:if>
													Highest</option>
													</select>
													</td>
													<td>
													<input type="submit" name="submit" value="Change"/>
													</td>
													</tr>
													<tr>
													<td/>
													</tr>
												</table>
											</form>
											</td>
										</tr>
									</xsl:for-each>
									<xsl:for-each select="auto_rebuild">
										<tr>
											<td class="title" align="center">Auto Rebuild (Controller <xsl:value-of select="position()"/>)</td>					
										</tr>
										<tr>
											<td class="content">
												<form name="autorebuild" method="POST">
												<input type="hidden" name="func" value="SetAutorebuild"/>
												<input type="hidden" name="conid" value="{@conid}"/>
												<table cellpadding="2">
													<tr>
														<td colspan="2">
															<input type="checkbox" name="autorebuild" value="1">
																<xsl:if test=".='1'">
																	<xsl:attribute name="checked"/>
																</xsl:if>
															</input>
															Enable auto rebuild.
														</td>
														<td/>
														<td>
															<input type="submit" name="submit" value="Change"/>
														</td>
													</tr>
												</table>
												</form>
											</td>
										</tr>
										</xsl:for-each>
									<xsl:for-each select="newinfo">
									<tr>
										<td height="24"></td>
										</tr>
									<tr>
										<td class="title" align="center">Extended Information (Controller <xsl:value-of select="position()"/>)</td>
										
									</tr>
									<tr>
										<td class="content">
										<table width="100%" cellpadding="2">
											
												<xsl:if test="IOPModel!='invalid'">
												<tr>
													<td align="left" class="diskattrname">IOP Model: </td>
													<td align="left" >
														<xsl:value-of select="IOPModel"/>
													</td>
												</tr>
												</xsl:if>
												<xsl:if test="SDRAMSize!='invalid'">
												<tr>
													<td align="left" class="diskattrname">SDRAM Size:</td>
													<td align="left" >
														<xsl:value-of select="SDRAMSize"/>
													</td>
												</tr>
												</xsl:if>
												<xsl:if test="BatteryInstalled!='invalid'">
												<tr>
													<td align="left" class="diskattrname">Battery Installed:</td>
													<td align="left" >
														<xsl:value-of select="BatteryInstalled"/>
													</td>
												</tr>
												</xsl:if>
												<xsl:if test="BatteryStatus!='invalid'">
												<tr>
													<td align="left" class="diskattrname">Battery Status: </td>
													<td align="left" >
														<xsl:value-of select="BatteryStatus"/>
													</td>
												</tr>
												<tr>
													<td align="left" class="diskattrname">BatteryMB Status: </td>
													<td align="left" >
														<xsl:value-of select="BatteryMBStatus"/>
													</td>
												</tr>
												</xsl:if>
												

												<xsl:if test="BatteryVoltage!='invalid'">
												<tr>
													<td align="left" class="diskattrname">Battery Voltage:</td>
													<td align="left" >
														<xsl:value-of select="BatteryVoltage"/>
													</td>
												</tr>
												</xsl:if>
												<xsl:if test="BatteryTemperature!='invalid'">
												<tr>
													<td align="left" class="diskattrname">Battery Temperature:</td>
													<td align="left" >
														<xsl:value-of select="BatteryTemperature"/>
													</td>
												</tr>
												</xsl:if>
												<xsl:if test="BatteryBackupTime!='invalid'">
												<tr>
													<td align="lefft" class="diskattrname">Battery BackupTime:</td>
													<td align="left" >
														<xsl:value-of select="BatteryBackupTime"/>
													</td>
												</tr>
												</xsl:if>
												<xsl:if test="FirmwareVersion!='invalid'">
												<tr>
													<td align="left" class="diskattrname">Firmware Version:</td>
													<td align="left" >
														<xsl:value-of select="FirmwareVersion"/>
													</td>
												</tr>
												</xsl:if>
												<xsl:if test="SerialNumber!='invalid'">
												<tr>
													<td align="left" class="diskattrname">Serial Number:</td>
													<td align="left" >
														<xsl:value-of select="SerialNumber"/>
													</td>
												</tr>
												</xsl:if>
										</table>
										</td>
									</tr>
									</xsl:for-each>
									<xsl:for-each select="version">
							<xsl:if test="(.=1)or(.=2)or(.=6)">
							<tr>
								<td class="title" align="center">Update BIOS</td>
							</tr>
							<tr><td class="content"><table width="100%"><tr><td>Select the file to update BIOS.</td></tr>
                              <tr><td>This process may take some time. </td></tr></table></td></tr>
							</xsl:if>
							<xsl:if test=".=3">
							<tr>
								<td class="title" align="center">Update Firmware</td>
							</tr>
							
							<tr><td class="content"><table width="100%"><tr><td>Select the blf file to update Firmware.</td></tr>
                              <tr><td>This process may take some time. </td></tr></table></td></tr>
							 </xsl:if>
							<xsl:if test="(.=1)or(.=2)or(.=3)or(.=6)">
							<tr><td>
							<form action="devman.cgi?func=UpgradeFirmware&amp;ControlId={../@id}&amp;userid={$userid}" method="POST" enctype="multipart/form-data">
							<xsl:attribute name="name">upgradefireware<xsl:value-of select="../@id"/></xsl:attribute>
							<xsl:attribute name="onsubmit">return checkfile("upgradefireware<xsl:value-of select="../@id"/>","<xsl:value-of select="."/>");</xsl:attribute>
                               <table border="0">
                                  <tr>
                                     <td>
                                       <input type="File" name="upgradefirmwarefile" size="50" maxlength="200"/>
                                     </td>
                                  </tr>
                                  <tr>
                                     <td>
                                     <input type="hidden" name="highpoint" value="highpoint"/>
    	                               <input type="Submit" name="submit" value="Submit"/>
                                     </td>
                                  </tr>
                                </table>
                             </form>
						</td></tr></xsl:if></xsl:for-each>
								 </xsl:for-each>
									<tr>
										<td>
											<form action="devman.cgi?userid={hpt_raidman_page/session/session_id}" name="opform" method="POST">
												<input type="hidden" name="func" value="Func ID"/>
												<input type="hidden" name="devid" value="Device ID"/>
												<input type="hidden" name="newname" value="NewName"/>
											</form>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2003. Sonic Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="file://d:\xml\devman[1].xml" htmlbaseurl="" outputurl="" processortype="internal" profilemode="0" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperInfo srcSchemaPath="" srcSchemaRoot="" srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
</metaInformation>
-->