<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">
	function ExamAddSpare(){
		var selectcount = 0;
		with (document.forms[1]){
			var i=1;
			while(elements[i]!=undefined){
     			if (elements[i].type!="checkbox") break;
		    	if (elements[i].checked) selectcount++;
				i++;
    		}
		}
   		if(selectcount == 0){
       		alert("Please select a disk.");
       		document.MM_returnValue = false;
       		return false;
    	}
		if (confirm(selectcount+" disk(s) will be added to spare pool. Do you want to continue?")==false){
	   		return false;
  		}
		return true;
	}
	function ExamRemoveSpare(){
		var selectcount = 0;
		with (document.forms[0]){
			var i=1;
			while(elements[i]!=undefined){
     			if (elements[i].type!="checkbox") break;
		    	if (elements[i].checked) selectcount++;
				i++;
    		}
		}
   		if(selectcount == 0){
       		alert("Please select a disk.");
       		document.MM_returnValue = false;
       		return false;
    	}
		if (confirm(selectcount+ " disk(s) will be removed from the spare pool. Do you want to continue?")==false){
	   		return false;
  		}
		return true;
	}</SCRIPT>
			<title>HighPoint RAID Management -- Logical</title>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<xsl:for-each select="adapters">
							<td colspan="2">
								<xsl:call-template name="DrawTopMenu2">
									<xsl:with-param name="topmenuech">arrman.cgi</xsl:with-param>
								</xsl:call-template>
							</td>
							</xsl:for-each>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
                        	
                            <xsl:for-each select="hpt_raidman_page">
                            <td align="left" valign="top">
                            	<xsl:call-template name="AsideMenu"/>
                            </td>
                            </xsl:for-each>
                            
							<td align="left" valign="top">
								<table id="sparemantable" width="{$pagewidth}">
									<tr>
										<td class="title" align="center">Spare Pool</td>
									</tr>
									<tr>
										<td class="content">
											<form action="spareman.cgi?userid={hpt_raidman_page/session/session_id}" name="initdisksform" method="POST" onsubmit="return ExamRemoveSpare();">
												<input type="hidden" name="func" value="SwitchSpare"/>
												<table cellpadding="5" width="100%">
													<xsl:for-each select="hpt_raidman_page/hpt_raid/spare_pool/disks/disk">
														<tr>
															<td>
																<input type="checkbox" name="check_{@id}" value="ON"/>
															</td>
															<td>
																<xsl:call-template name="DrawDevImgTable">
																	<xsl:with-param name="simple">true</xsl:with-param>
																</xsl:call-template>
															</td>
															<td>
																<xsl:value-of select="name"/>
															</td>
															<td>
																<xsl:value-of select="model"/>
															</td>
															<td>
																<xsl:value-of select="capacity"/>
															</td>
														</tr>
													</xsl:for-each>
												</table>
												<p/>
												<input type="submit" name="submit" value="Remove Spare"/>
											</form>
										</td>
									</tr>
									<tr>
										<td class="title" align="center">Available Disks</td>
									</tr>
									<tr>
										<td class="content">
											<form action="spareman.cgi?userid={hpt_raidman_page/session/session_id}" name="initdisksform" method="POST" onsubmit="return ExamAddSpare();">
												<input type="hidden" name="func" value="SwitchSpare"/>
												<table cellpadding="5" width="100%">
													<xsl:for-each select="hpt_raidman_page/hpt_raid/valid_disks/disks/disk">
														<tr>
															<td>
																<input type="checkbox" name="check_{@id}" value="ON"/>
															</td>
															<td>
																<xsl:call-template name="DrawDevImgTable">
																	<xsl:with-param name="simple">true</xsl:with-param>
																</xsl:call-template>
															</td>
															<td>
																<xsl:value-of select="name"/>
															</td>
															<td>
																<xsl:value-of select="model"/>
															</td>
															<td>
																<xsl:value-of select="capacity"/>
															</td>
														</tr>
													</xsl:for-each>
												</table>
												<p/>
												<input type="submit" name="submit" value="Add Spare"/>
											</form>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>